%global dlrn_nvr tripleo-ansible-3.3.1.dev656-17.1.20231101233745.4d015bf
%global dlrn 1
%define upstream_version 3.3.1.dev656

%global srcname tripleo_ansible
%global rolename tripleo-ansible

%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

Name:           %{rolename}
Version: 3.3.1
Release: 17.1.20231101233754%{?dist}
Summary:        Ansible project for TripleO

Group:          System Environment/Base
License:        ASL 2.0
URL:            https://git.openstack.org/cgit/openstack/tripleo-ansible
Source0: tripleo-ansible-3.3.1.dev656-17.1.20231101233745.4d015bf.tar.gz

#
# patches_ignore=DROP-IN-RPM
# patches_base=4d015bf973723e5bce6fa895594026fe6039d126
Patch0001: 0001-DOWNSTREAM-ONLY-Pass-yes-i-know-to-cephadm-bootstrap.patch
Patch0002: 0002-DOWNSTREAM-ONLY-Specify-the-rhosp-constraints-regard.patch
Patch0003: 0003-Override-tripleo_ceph_client_vars-in-tripleo_run_cep.patch
Patch0004: 0004-Revert-Override-tripleo_ceph_client_vars-in-tripleo_.patch
Patch0005: 0005-DOWNSTREAM-ONLY-Specify-the-rhosp-constraints-regard.patch
Patch0006: 0006-Do-not-mount-assimilate_conf-during-ceph-nfs-deploym.patch
Patch0007: 0007-DOWNSTREAM-ONLY-Ensure-mtu_request-is-passed-to-OVS-.patch
Patch0008: 0008-Remove-all-readale-permissions-for-rndc-key-related-.patch
Patch0009: 0009-container_puppet_config-Merge-volumes-correctly.patch
Patch0010: 0010-Use-shell-module-instead-of-command.patch
Patch0011: 0011-Improved-search-of-kernel-args-in-proc-cmdline-outpu.patch
Patch0012: 0012-Fix-ceph-pool-creation-pg-error.patch
Patch0013: 0013-Skip-reverse-DNS-lookup-when-applying-listing-iptabl.patch
Patch0014: 0014-Remove-non-persistent-and-obsolete-firewall-rules.patch
Patch0015: 0015-ffwd-Use-numeric-for-iptables-only-on-EL9.patch

BuildArch:      noarch
BuildRequires:  git-core
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pbr
BuildRequires:  python3-jinja2 >= 2.8.0
BuildRequires:  python3-PyYAML
BuildRequires:  python3-metalsmith

%if 0%{?rhel} > 8
Requires: openstack-ansible-core
%else
Requires: (python3dist(ansible) >= 2.9.10 or ansible-core)
%endif
Requires: ansible-collections-openstack >= 1.3.0
Requires: ansible-collection-ansible-netcommon >= 1.5.0
Requires: ansible-collection-ansible-posix >= 1.2.0
Requires: ansible-collection-community-general >= 2.5.1
Requires: ansible-collection-containers-podman >= 1.4.1
Requires: ansible-config_template
Requires: ansible-role-collectd-config
Requires: ansible-role-metalsmith-deployment >= 1.2.0
Requires: ansible-role-openstack-operations
Requires: ansible-role-qdr-config
Requires: python3-jinja2 >= 2.8.0
Requires: python3-tripleo-common
Requires: python3-ironicclient
Requires: python3-glanceclient
Requires: python3-metalsmith >= 1.2.0
Requires: ansible-role-chrony

%description

Ansible project for TripleO

%prep
%autosetup -n %{rolename}-%{upstream_version} -S git


%build
%{py3_build}


%install
export PBR_VERSION=%{version}
export SKIP_PIP_INSTALL=1
%{py3_install}


%files
%doc README*
%license LICENSE
%{python3_sitelib}/%{srcname}-*.egg-info
%{_datadir}/ansible/


%changelog
* Tue Apr 09 2024 Miguel Garcia <migarcia@redhat.com> 3.3.1-17.1.20231101233754
- [ffwd] Use numeric for iptables only on EL9 (rhbz#2233300)

* Fri Apr 05 2024 Lon Hohberger <lhh@redhat.com> 3.3.1-17.1.20231101233753
- Skip reverse DNS lookup when applying/listing iptables rules (rhbz#2233300)

* Fri Apr 05 2024 Lon Hohberger <lhh@redhat.com> 3.3.1-17.1.20231101233752
- Remove non-persistent and obsolete firewall rules (rhbz#2272006)

* Tue Mar 26 2024 Priscila Gutierres <prgutier@redhat.com> 3.3.1-17.1.20231101233751
- container_puppet_config: Merge volumes correctly (rhbz#2266206)

* Fri Mar 15 2024 Priscila Gutierres <prgutier@redhat.com> 3.3.1-17.1.20231101233750
- Remove all readale permissions for rndc key related files (rhbz#2239495)

* Wed Mar 13 2024 Shreshtha Joshi <shrjoshi@redhat.com> 3.3.1-17.1.20231101233749
- Fix ceph pool creation pg error (rhbz#2260304)

* Tue Mar 12 2024 Shreshtha Joshi <shrjoshi@redhat.com> 3.3.1-17.1.20231101233748
- Use shell module instead of command (rhbz#2264884)

* Tue Mar 12 2024 Shreshtha Joshi <shrjoshi@redhat.com> 3.3.1-17.1.20231101233747
- Improved search of kernel args in /proc/cmdline output (rhbz#2255588)
- [DOWNSTREAM-ONLY] Ensure mtu_request is passed to OVS when creating Octavia ports (rhbz#2257274)

* Thu Jan 18 2024 Miguel Garcia <migarcia@redhat.com> 3.3.1-17.1.20231101233746
- Do not mount assimilate_conf during ceph-nfs deployment (rhbz#905008)

* Wed Nov 01 2023 OSP Prod Chain <dev-null@redhat.com> 3.3.1-17.1.20231101233745.4d015bf
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#2193213)
- Revert "Override tripleo_ceph_client_vars in tripleo_run_cephadm role"
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#2103639)
- tripleo_ovs_dpdk: add support for pmd load based sleeping

* Tue Oct 31 2023 OSP Prod Chain <dev-null@redhat.com> 3.3.1-17.1.20231101003745.7d0521d
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#2193213)
- Revert "Override tripleo_ceph_client_vars in tripleo_run_cephadm role"
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#2103639)
- Moving to https://old-galaxy.ansible.com/

* Sat Oct 28 2023 OSP Prod Chain <dev-null@redhat.com> 3.3.1-17.1.20231028223749.81344ff
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#2193213)
- Revert "Override tripleo_ceph_client_vars in tripleo_run_cephadm role"
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#2103639)
- [enforce] Remove unnecessary environment variable from subscription.

* Thu Oct 19 2023 OSP Prod Chain <dev-null@redhat.com> 3.3.1-17.1.20231020003745.c51104e
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#2193213)
- Revert "Override tripleo_ceph_client_vars in tripleo_run_cephadm role"
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#2103639)
- Add 'role_tags' to network_config schema

* Mon Oct 16 2023 OSP Prod Chain <dev-null@redhat.com> 3.3.1-17.1.20231016223753.fd9a632
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#2193213)
- Revert "Override tripleo_ceph_client_vars in tripleo_run_cephadm role"
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#2103639)
- tripleo_container_manage treat override as regex

* Fri Oct 13 2023 OSP Prod Chain <dev-null@redhat.com> 3.3.1-17.1.20231014003743.92dad6f
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#2193213)
- Revert "Override tripleo_ceph_client_vars in tripleo_run_cephadm role"
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#2103639)
- Add ganesha update infra playbook

* Fri Oct 13 2023 OSP Prod Chain <dev-null@redhat.com> 3.3.1-17.1.20231013103745.2689312
- Add ganesha update infra playbook (rhbz#2168920)

* Tue Oct 10 2023 OSP Prod Chain <dev-null@redhat.com> 3.3.1-17.1.20231011003748.2689312
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#2193213)
- Revert "Override tripleo_ceph_client_vars in tripleo_run_cephadm role"
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#2103639)
- Separate undercloud and overcloud backup folder

* Thu Sep 21 2023 OSP Prod Chain <dev-null@redhat.com> 3.3.1-17.1.20230921163746.d7d4f55
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#2193213)
- Revert "Override tripleo_ceph_client_vars in tripleo_run_cephadm role"
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#2103639)
- Delegate getting Ceph version to first NFS server
- Remove new line from ssh-key
- Fix ceph orch stuck issue during apply_spec
- Allow setting a custom ExecStopPost command to systemd container units
- fix to be able to edit ns_records of /etc/designate/pools.yaml
- Add error message if a snapshot is going to be overwritten
- Fix issue when handling tripleo key
- Remove unwanted extra newline
- Add option to only update a new key on Overcloud
- Designate: add extra bind IPs to the allow notify list
- Fix typo in designate bind's logging.conf
- Wire in nmstate support

* Thu Sep 21 2023 OSP Prod Chain <dev-null@redhat.com> 3.3.1-17.1.20230921153745.0ab5533
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#2193213)
- Revert "Override tripleo_ceph_client_vars in tripleo_run_cephadm role"
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#2103639)
- Fix issue when handling tripleo key
- Remove unwanted extra newline
- Designate: add extra bind IPs to the allow notify list
- Fix typo in designate bind's logging.conf

* Wed Aug 30 2023 OSP Prod Chain <dev-null@redhat.com> 3.3.1-17.1.20230830053750.0ab5533
- Add option to only update a new key on Overcloud (rhbz#2226812)

* Sun Aug 27 2023 OSP Prod Chain <dev-null@redhat.com> 3.3.1-17.1.20230828003754.0ab5533
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#2193213)
- Revert "Override tripleo_ceph_client_vars in tripleo_run_cephadm role"
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#2103639)
- Prevent duplicate/unwanted ceph rgw deployments
- [enforce] Add support for overriding the default OS.

* Mon Aug 21 2023 OSP Prod Chain <dev-null@redhat.com> 3.3.1-17.1.20230821163744.bd032f7
- [enforce] Add support for overriding the default OS. (rhbz#2223954)

* Tue Aug 15 2023 OSP Prod Chain <dev-null@redhat.com> 3.3.1-17.1.20230816003750.bd032f7
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#2193213)
- Revert "Override tripleo_ceph_client_vars in tripleo_run_cephadm role"
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#2103639)
- Fix issue that Ceph Mon/Mgr are deployed on wrong roles

* Sat Aug 12 2023 OSP Prod Chain <dev-null@redhat.com> 3.3.1-17.1.20230813013850.02e48f0
- Update patches
- Remove unnecessary '%' from format string

* Sat Aug 12 2023 OSP Prod Chain <dev-null@redhat.com> 3.3.1-17.1.20230813003959.78bf41c
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#2193213)
- Revert "Override tripleo_ceph_client_vars in tripleo_run_cephadm role"
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#2103639)
- Remove unnecessary '%' from format string

* Thu Aug 10 2023 OSP Prod Chain <dev-null@redhat.com> 3.3.1-17.1.20230811013917.78bf41c
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#2193213)
- Revert "Override tripleo_ceph_client_vars in tripleo_run_cephadm role"
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#2103639)
- Stop creating the default domain
- Add tc command

* Sat Aug 05 2023 OSP Prod Chain <dev-null@redhat.com> 3.3.1-17.1.20230805105249.8b9c7c5
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#2193213)
- Revert "Override tripleo_ceph_client_vars in tripleo_run_cephadm role"
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#2103639)
- [Wallaby Only] Allow to override bootstrap node
- Add the admin role for admin in default domain

* Fri Jul 28 2023 OSP Prod Chain <dev-null@redhat.com> 3.3.1-17.1.20230729003752.b001013
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#2193213)
- Revert "Override tripleo_ceph_client_vars in tripleo_run_cephadm role"
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#2103639)
- Avoid "Error getting network data from overcloud stack overcloud: %No Stack found .."

* Mon Jul 24 2023 OSP Prod Chain <dev-null@redhat.com> 3.3.1-17.1.20230725013748.f99262f
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#2193213)
- Revert "Override tripleo_ceph_client_vars in tripleo_run_cephadm role"
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#2103639)
- Pin ansible-collections-openstack

* Thu Jul 20 2023 OSP Prod Chain <dev-null@redhat.com> 3.3.1-17.1.20230721003835.fd542b3
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#2193213)
- Revert "Override tripleo_ceph_client_vars in tripleo_run_cephadm role"
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#2103639)
- Allow bypassing uplinks definition in favor of peers
- Fix ceph orch command stuck issue

* Wed Jul 19 2023 OSP Prod Chain <dev-null@redhat.com> 3.3.1-17.1.20230719073918.c995c5e
- Fix ceph orch command stuck issue (rhbz#2222589)

* Thu Jul 06 2023 OSP Prod Chain <dev-null@redhat.com> 3.3.1-17.1.20230706103744.c995c5e
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#2193213)
- Revert "Override tripleo_ceph_client_vars in tripleo_run_cephadm role"
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#2103639)
- Set RuntimeDirectory in ceph-nfs systemd unit
- Removed pin from pip and fixed testinfra package name
- Add ceph keyring check
- Fix task: Test overcloud is reacheable

* Thu Jun 29 2023 OSP Prod Chain <dev-null@redhat.com> 3.3.1-17.1.20230630005115.9858354
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#2193213)
- Revert "Override tripleo_ceph_client_vars in tripleo_run_cephadm role"
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#2103639)
- Fix positional arguments order in test-molecule.py
- Pin molecule to version <5.0.0, remove pin of ansible-compat
- Pin openstacksdk version to <1.3.0 when python 3.6 is used

* Wed Jun 28 2023 OSP Prod Chain <dev-null@redhat.com> 3.3.1-17.1.20230628143857.cb14ddd
- Fix task: Test overcloud is reacheable (rhbz#2151002)

* Mon Jun 26 2023 OSP Prod Chain <dev-null@redhat.com> 3.3.1-17.1.20230627003748.cb14ddd
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#2193213)
- Revert "Override tripleo_ceph_client_vars in tripleo_run_cephadm role"
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#2103639)
- Include how to customize ReaR local config

* Thu Jun 22 2023 OSP Prod Chain <dev-null@redhat.com> 3.3.1-17.1.20230622060434.03ab6c5
- Update patches

* Mon Jun 19 2023 OSP Prod Chain <dev-null@redhat.com> 3.3.1-1.20230620013819.03ab6c5
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#2193213)
- Revert "Override tripleo_ceph_client_vars in tripleo_run_cephadm role"
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#2103639)
- Add playbook to rotate stack keys

* Sat Jun 17 2023 OSP Prod Chain <dev-null@redhat.com> 3.3.1-1.20230618003747.d86d6c2
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#2193213)
- Revert "Override tripleo_ceph_client_vars in tripleo_run_cephadm role"
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#2103639)
- Update the repo to install tripleo-repos
- Fix issues while applying ceph crush rules

* Fri Jun 16 2023 OSP Prod Chain <dev-null@redhat.com> 3.3.1-1.20230616093748.d1a48ac
- Fix issues while applying ceph crush rules (rhbz#2210873)

* Wed May 31 2023 OSP Prod Chain <dev-null@redhat.com> 3.3.1-1.20230601005527.d1a48ac
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#2193213)
- Revert "Override tripleo_ceph_client_vars in tripleo_run_cephadm role"
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#2103639)
- Rework cephadm key and pools creation for Quincy+

* Wed May 31 2023 OSP Prod Chain <dev-null@redhat.com> 3.3.1-1.20230531093809.36e4da1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#2193213)

* Tue May 30 2023 OSP Prod Chain <dev-null@redhat.com> 3.3.1-1.20230530193755.36e4da1
- Rework cephadm key and pools creation for Quincy+ (rhbz#2209633 rhbz#2210626)

* Tue May 23 2023 OSP Prod Chain <dev-null@redhat.com> 3.3.1-1.20230523224026.36e4da1
- Revert "Override tripleo_ceph_client_vars in tripleo_run_cephadm role"
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#2103639)
- Load chrony related variables before configuring it

* Tue May 23 2023 OSP Prod Chain <dev-null@redhat.com> 3.3.1-1.20230523084008.d718469
- Load chrony related variables before configuring it (rhbz#2172063)

* Sat May 20 2023 OSP Prod Chain <dev-null@redhat.com> 3.3.1-1.20230521003952.d718469
- Revert "Override tripleo_ceph_client_vars in tripleo_run_cephadm role"
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#2103639)
- Do not use image digest when the Ceph cluster is deployed

* Thu May 18 2023 OSP Prod Chain <dev-null@redhat.com> 3.3.1-1.20230518203951.358f3c3
- Revert "Override tripleo_ceph_client_vars in tripleo_run_cephadm role"
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#2103639)
- Get ports from once before threaded processing

* Thu May 18 2023 OSP Prod Chain <dev-null@redhat.com> 3.3.1-1.20230518153949.0b62158
- Do not use image digest when the Ceph cluster is deployed (rhbz#2193166)

* Sat May 13 2023 OSP Prod Chain <dev-null@redhat.com> 3.3.1-1.20230514003955.0b62158
- Revert "Override tripleo_ceph_client_vars in tripleo_run_cephadm role"
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#2103639)
- Configure recheck_wwid setting in multipath.conf

* Wed May 10 2023 OSP Prod Chain <dev-null@redhat.com> 3.3.1-1.20230511013953.8580928
- Revert "Override tripleo_ceph_client_vars in tripleo_run_cephadm role"
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#2103639)
- Update resync default value for the agent
- Allow configuring router_id and src_ip's
- Set tripleo_frr_ovn_bgp_agent_enable=false by default

* Fri May 05 2023 OSP Prod Chain <dev-null@redhat.com> 3.3.1-1.20230506004008.b6d4b94
- Revert "Override tripleo_ceph_client_vars in tripleo_run_cephadm role"
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#2103639)
- HA: Minor update with new container image name

* Thu May 04 2023 OSP Prod Chain <dev-null@redhat.com> 3.3.1-1.20230505010629.92c59b3
- Revert "Override tripleo_ceph_client_vars in tripleo_run_cephadm role"
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#2103639)
- Generalize ceph_spec_bootstrap inventory parsing
- Pin ansible-compat
- Fix usage of non-existing task file
- update requirements with chrony
- Fix issues with connectivity check
- Create octavia multi-vCPU flavor
- Fix prefix issues for IPv6
- Designate: allow enabling bind query logging

* Thu May 04 2023 OSP Prod Chain <dev-null@redhat.com> 3.3.1-1.20230504184011.a5af4ea
- update requirements with chrony (rhbz#2172063)

* Thu May 04 2023 OSP Prod Chain <dev-null@redhat.com> 3.3.1-1.20230504144001.a5af4ea
- Fix usage of non-existing task file (rhbz#2172063)

* Sat Apr 22 2023 OSP Prod Chain <dev-null@redhat.com> 3.3.1-1.20230423003954.a5af4ea
- Revert "Override tripleo_ceph_client_vars in tripleo_run_cephadm role"
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#2103639)
- Deployed Ceph time synchronization
- Do not forcefully re-apply network config

* Thu Apr 20 2023 OSP Prod Chain <dev-null@redhat.com> 3.3.1-1.20230421005837.f6d97ce
- Revert "Override tripleo_ceph_client_vars in tripleo_run_cephadm role"
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#2103639)
- Fix ceph issues on standalone with short hostnames
- Stop using ceph/daemon entrypoint
- Always recreate puppet containers
- Revert "Exclude latest gnupg2 & Pin to last good version"
- Use short_hostnames when tls-everywhere is enabled

* Thu Apr 20 2023 OSP Prod Chain <dev-null@redhat.com> 3.3.1-1.20230420114010.c6edb35
- Stop using ceph/daemon entrypoint (rhbz#2186044)

* Sat Apr 15 2023 OSP Prod Chain <dev-null@redhat.com> 3.3.1-1.20230416005215.c6edb35
- Revert "Override tripleo_ceph_client_vars in tripleo_run_cephadm role"
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#2103639)
- Fix Ceph Stray host(s)/daemon(s) issue
- Exclude latest gnupg2 & Pin to last good version

* Wed Apr 12 2023 OSP Prod Chain <dev-null@redhat.com> 3.3.1-1.20230413003951.6a5a054
- Revert "Override tripleo_ceph_client_vars in tripleo_run_cephadm role"
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#2103639)
- Improve the maintenance.

* Tue Apr 11 2023 OSP Prod Chain <dev-null@redhat.com> 3.3.1-1.20230412015152.0a826ca
- Revert "Override tripleo_ceph_client_vars in tripleo_run_cephadm role"
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#2103639)
- Correct constant's spelling error

* Thu Mar 23 2023 OSP Prod Chain <dev-null@redhat.com> 3.3.1-1.20230323223840.7480374
- Revert "Override tripleo_ceph_client_vars in tripleo_run_cephadm role"
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#2103639)
- Fix ceph pool creation failure
- Add default for bond_interface_ovs_options

* Wed Mar 22 2023 OSP Prod Chain <dev-null@redhat.com> 3.3.1-1.20230322230155.b65b485
- Revert "Override tripleo_ceph_client_vars in tripleo_run_cephadm role"
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#2103639)
- Create the snapshots backed with the lv_thinpool pool
- Ensure that lb-mgmt-subnet has a gateway in Octavia DCN
- Remove workaround explicit downgrade of containers common 1.44
- Improve vip extraction for the multi-cell
- Fixed multi-cell exported on Network
- Cache subnets when building nics_to_port_map
- Setting default value of the 'default_values' argument
- Ensure that octavia-amphora-image is installed
- Add support for IPv6 lb management network
- Designate: disable listening on IP version not in use

* Fri Feb 24 2023 OSP Prod Chain <dev-null@redhat.com> 3.3.1-1.20230224224259.6976f3f
- Revert "Override tripleo_ceph_client_vars in tripleo_run_cephadm role"
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#2103639)
- Fix tripleo_multipathd handling of blacklist section

* Tue Feb 21 2023 OSP Prod Chain <dev-null@redhat.com> 3.3.1-1.20230221224239.cec5e91
- Revert "Override tripleo_ceph_client_vars in tripleo_run_cephadm role"
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#2103639)
- bnr - missing db backup files

* Wed Feb 15 2023 OSP Prod Chain <dev-null@redhat.com> 3.3.1-1.20230216003934.40efd66
- Revert "Override tripleo_ceph_client_vars in tripleo_run_cephadm role"
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#2103639)
- Use default thread locking for container image prepare

* Sun Feb 12 2023 OSP Prod Chain <dev-null@redhat.com> 3.3.1-1.20230212223747.526eded
- Revert "Override tripleo_ceph_client_vars in tripleo_run_cephadm role"
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#2103639)
- [ffwd3] Use tripleo tags in network extraction

* Tue Feb 07 2023 OSP Prod Chain <dev-null@redhat.com> 3.3.1-1.20230207224046.89edf19
- Revert "Override tripleo_ceph_client_vars in tripleo_run_cephadm role"
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#2103639)
- Revert "Explicitly define infra_image in containers.conf"

* Mon Jan 30 2023 OSP Prod Chain <dev-null@redhat.com> 3.3.1-1.20230130223953.1ec5c16
- Revert "Override tripleo_ceph_client_vars in tripleo_run_cephadm role"
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#2103639)
- Adding modules for retrieval of overcloud role info
- [Octavia] Create a rsyslog forward when *_log_targets params are set

* Mon Jan 23 2023 OSP Prod Chain <dev-null@redhat.com> 3.3.1-1.20230123224109.0624e12
- Revert "Override tripleo_ceph_client_vars in tripleo_run_cephadm role"
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#2103639)
- bnr - Make the galera desync retries and delay configurable
- Rotate cephadm_command.log
- Block deletion of existing snapshots executing the creation command

* Tue Jan 17 2023 OSP Prod Chain <dev-null@redhat.com> 3.3.1-1.20230117223831.7175003
- Revert "Override tripleo_ceph_client_vars in tripleo_run_cephadm role"
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#2103639)
- Only do snapshot on inactive nodes

* Mon Jan 16 2023 OSP Prod Chain <dev-null@redhat.com> 3.3.1-1.20230116224017.56ef43b
- Revert "Override tripleo_ceph_client_vars in tripleo_run_cephadm role"
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#2103639)
- Mass corrections of molecule scenarios

* Thu Jan 12 2023 OSP Prod Chain <dev-null@redhat.com> 3.3.1-1.20230112233838.21aa9b0
- Revert "Override tripleo_ceph_client_vars in tripleo_run_cephadm role"
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#2103639)
- Fix indentation error
- Hide output which can contain password strings

* Tue Jan 10 2023 OSP Prod Chain <dev-null@redhat.com> 3.3.1-1.20230110223838.0bb9270
- Revert "Override tripleo_ceph_client_vars in tripleo_run_cephadm role"
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#2103639)
- Use autospec instead of auto_spec
- Enable start of FRR for non-root user

* Tue Jan 10 2023 OSP Prod Chain <dev-null@redhat.com> 3.3.1-1.20230110204030.a09f237
- Fix indentation error (rhbz#2153719)

* Tue Jan 10 2023 OSP Prod Chain <dev-null@redhat.com> 3.3.1-1.20230110073917.a09f237
- Enable start of FRR for non-root user (rhbz#2159611)

* Tue Jan 03 2023 OSP Prod Chain <dev-null@redhat.com> 3.3.1-1.20230103113745.a09f237
- Revert "Override tripleo_ceph_client_vars in tripleo_run_cephadm role"
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#2103639)
- Support role specific ContainerImagePrepare
- Add podman_socket role
- Ensure $tuned_params is restored after grub2-mkconfig

* Fri Dec 16 2022 OSP Prod Chain <dev-null@redhat.com> 3.3.1-1.20221216114729.d1e02cd
- Revert "Override tripleo_ceph_client_vars in tripleo_run_cephadm role"
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#2103639)
- Fix collectd path replacement bug
- Add support for new ovn-bgp-agent config flag

* Mon Dec 12 2022 OSP Prod Chain <dev-null@redhat.com> 3.3.1-1.20221213014838.0817682
- Revert "Override tripleo_ceph_client_vars in tripleo_run_cephadm role"
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#2103639)
- Fix compatibility with Ansible 2.14

* Fri Dec 09 2022 OSP Prod Chain <dev-null@redhat.com> 3.3.1-1.20221210014133.6f1b1fe
- Revert "Override tripleo_ceph_client_vars in tripleo_run_cephadm role"
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#2103639)
- Handle child groups when building ceph spec from inventory

* Thu Dec 08 2022 OSP Prod Chain <dev-null@redhat.com> 3.3.1-1.20221208223831.e539b03
- Revert "Override tripleo_ceph_client_vars in tripleo_run_cephadm role"
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#2103639)
- Fix ovs check pkg_has_restart error.

* Mon Dec 05 2022 OSP Prod Chain <dev-null@redhat.com> 3.3.1-1.20221205164351.4921a8f
- Handle child groups when building ceph spec from inventory (rhbz#2149963)

* Thu Dec 01 2022 OSP Prod Chain <dev-null@redhat.com> 3.3.1-1.20221201234425.4921a8f
- Revert "Override tripleo_ceph_client_vars in tripleo_run_cephadm role"
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#2103639)
- Don't use meta:end_play after growvols check

* Thu Nov 24 2022 OSP Prod Chain <dev-null@redhat.com> 3.3.1-1.20221124114154.d7f7d1a
- Revert "Override tripleo_ceph_client_vars in tripleo_run_cephadm role"
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#2103639)
- Make creating/updating users idempotent
- Move cryprography pin
- Fix molecule jobs broken with latest cryptography

* Thu Nov 17 2022 OSP Prod Chain <dev-null@redhat.com> 3.3.1-1.20221118004124.288cc16
- Revert "Override tripleo_ceph_client_vars in tripleo_run_cephadm role"
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#2103639)
- Ensure english locale when running the command for ovs checks.
- Remove usage of glanceclient
- Remove usage of swiftclient

* Wed Nov 16 2022 OSP Prod Chain <dev-null@redhat.com> 3.3.1-1.20221116234739.20a9a90
- Revert "Override tripleo_ceph_client_vars in tripleo_run_cephadm role"
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#2103639)
- Enable --retain option for zebra daemon
- Improved way of detecting Galera cluster is up&running

* Wed Nov 09 2022 OSP Prod Chain <dev-null@redhat.com> 3.3.1-1.20221109223740.4b6c2e0
- Revert "Override tripleo_ceph_client_vars in tripleo_run_cephadm role"
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#2103639)
- num_dpdk_interface_rx_queues support net conf schema

* Tue Nov 08 2022 OSP Prod Chain <dev-null@redhat.com> 3.3.1-1.20221108115047.82d41d9
- Revert "Override tripleo_ceph_client_vars in tripleo_run_cephadm role"
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#2103639)
- Remove inspector client usage

* Tue Nov 01 2022 OSP Prod Chain <dev-null@redhat.com> 3.3.1-1.20221102033325.a335b26
- Revert "Override tripleo_ceph_client_vars in tripleo_run_cephadm role"
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#2103639)
- Fix insertafter for managing cell host entries

* Fri Oct 21 2022 OSP Prod Chain <dev-null@redhat.com> 3.3.1-1.20221021234454.90ba3a2
- Revert "Override tripleo_ceph_client_vars in tripleo_run_cephadm role"
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#2103639)
- bnr - Update on rear scripts to support the ceph bnr on LVM

* Tue Oct 18 2022 OSP Prod Chain <dev-null@redhat.com> 3.3.1-1.20221018233755.2db62db
- Revert "Override tripleo_ceph_client_vars in tripleo_run_cephadm role"
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#2103639)
- Remove unnecessary designate worker conditional

* Fri Oct 14 2022 OSP Prod Chain <dev-null@redhat.com> 3.3.1-1.20221014100455.cc4c356
- Revert "Override tripleo_ceph_client_vars in tripleo_run_cephadm role"
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#2103639)
- Derive parameters clean up
- Do not execute anything if a host is unreachable

* Mon Oct 10 2022 OSP Prod Chain <dev-null@redhat.com> 3.3.1-1.20221011023714.1533716
- Update patches
- Mark B&R job as voting
- Unbound: remove incorrect config of forwarding

* Mon Oct 10 2022 OSP Prod Chain <dev-null@redhat.com> 3.3.1-1.20221011013728.95811d2
- Revert "Override tripleo_ceph_client_vars in tripleo_run_cephadm role"
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#2103639)
- Mark B&R job as voting
- Unbound: remove incorrect config of forwarding

* Wed Oct 05 2022 OSP Prod Chain <dev-null@redhat.com> 3.3.1-1.20221005124738.95811d2
- Revert "Override tripleo_ceph_client_vars in tripleo_run_cephadm role"
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#2103639)
- Ensure the openvswitch service is enabled and deps are installed

* Mon Oct 03 2022 OSP Prod Chain <dev-null@redhat.com> 3.3.1-1.20221003154630.bc71476
- Revert "Override tripleo_ceph_client_vars in tripleo_run_cephadm role"
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#2103639)
- Allow role re-tagging of ports
- Fix typo when nova pool is built and wrong flag during cli creation
- We need to downgrade in the pre.yml as well
- Support auto-revert of all the snapshots

* Mon Sep 19 2022 OSP Prod Chain <dev-null@redhat.com> 3.3.1-1.20220920003732.e188a9d
- Revert "Override tripleo_ceph_client_vars in tripleo_run_cephadm role"
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#2103639)
- [DOWNSTREAM-ONLY] Omit pg_num unless provided in tripleo_run_cephadm's build_pools (rhbz#2081592)
- [RFE] Add a new Snapshot And Revert feature to Backup and Restore

* Sat Sep 17 2022 OSP Prod Chain <dev-null@redhat.com> 3.3.1-1.20220917165554.8659ff4
- Revert "Override tripleo_ceph_client_vars in tripleo_run_cephadm role"
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#2103639)
- [DOWNSTREAM-ONLY] Omit pg_num unless provided in tripleo_run_cephadm's build_pools (rhbz#2081592)
- TripleO os_net_config playbooks should allow re-run
- Remove unneeded parameter tripleo_frr_ovn_bgp_agent_bridge_mappings

* Mon Sep 12 2022 OSP Prod Chain <dev-null@redhat.com> 3.3.1-1.20220912113714.9354c51
- Revert "Override tripleo_ceph_client_vars in tripleo_run_cephadm role"
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#2103639)
- [DOWNSTREAM-ONLY] Omit pg_num unless provided in tripleo_run_cephadm's build_pools (rhbz#2081592)
- Fix wrong separator(,) used to list multiple dependent services

* Tue Aug 30 2022 OSP Prod Chain <dev-null@redhat.com> 3.3.1-1.20220830135059.e59501b
- Revert "Override tripleo_ceph_client_vars in tripleo_run_cephadm role"
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#2103639)
- [DOWNSTREAM-ONLY] Omit pg_num unless provided in tripleo_run_cephadm's build_pools (rhbz#2081592)
- Add missing keyrings when ganesha is deployed standalone
- Drop gather variables task tripleo_keystone_resources

* Sat Aug 20 2022 OSP Prod Chain <dev-null@redhat.com> 3.3.1-1.20220820225532.66d7edc
- Revert "Override tripleo_ceph_client_vars in tripleo_run_cephadm role"
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#2103639)
- [DOWNSTREAM-ONLY] Omit pg_num unless provided in tripleo_run_cephadm's build_pools (rhbz#2081592)
- tripleo_auditd: Clear unused default of tripleo_auditd_rules
- New role, replacing puppet-auditd
- Leave connection setup to THT
- Add raft election timer support

* Thu Aug 18 2022 OSP Prod Chain <dev-null@redhat.com> 3.3.1-1.20220818142755.f5c855f
- Revert "Override tripleo_ceph_client_vars in tripleo_run_cephadm role"
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#2103639)
- [DOWNSTREAM-ONLY] Omit pg_num unless provided in tripleo_run_cephadm's build_pools (rhbz#2081592)
- Configure podman netavark network - enable IPv6
- Use ubi9-init image as base
- Support amphora log offloading over TCP
- [wallaby-only] Ability to skip create_ceph_ansible_remote_tmp command
- tripleo_ovs_dpdk: tripleo_ovs_dpdk_socket_memory is now optional

* Wed Aug 10 2022 OSP Prod Chain <dev-null@redhat.com> 3.3.1-1.20220810204219.151b614
- Configure podman netavark network - enable IPv6 (rhbz#2112444)

* Thu Aug 04 2022 OSP Prod Chain <dev-null@redhat.com> 3.3.1-1.20220804113846.151b614
- Revert "Override tripleo_ceph_client_vars in tripleo_run_cephadm role"
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#2103639)
- [DOWNSTREAM-ONLY] Omit pg_num unless provided in tripleo_run_cephadm's build_pools (rhbz#2081592)
- Designate bind: allow notify on all external IPs
- [OVN] Wrap IPv6 addresses
- Remove wrong equal sign

* Thu Aug 04 2022 OSP Prod Chain <dev-null@redhat.com> 3.3.1-1.20220804104259.f02886a
- Update patches

* Thu Jul 28 2022 OSP Prod Chain <dev-null@redhat.com> 3.3.1-1.20220729005635.f02886a
- Revert "Override tripleo_ceph_client_vars in tripleo_run_cephadm role"
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#2103639)
- [DOWNSTREAM-ONLY] Omit pg_num unless provided in tripleo_run_cephadm's build_pools (rhbz#2081592)
- Fix existing nodes check
- Require tripleo_ceph_client_vars to be overridden

* Wed Jul 27 2022 OSP Prod Chain <dev-null@redhat.com> 3.3.1-1.20220728035358.89ca763
- Revert "Override tripleo_ceph_client_vars in tripleo_run_cephadm role"
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#2103639)
- [DOWNSTREAM-ONLY] Omit pg_num unless provided in tripleo_run_cephadm's build_pools (rhbz#2081592)

* Wed Jul 27 2022 OSP Prod Chain <dev-null@redhat.com> 3.3.1-1.20220727204856.89ca763
- Fix existing nodes check (rhbz#2092444)
- [DOWNSTREAM-ONLY][OVN] Wrap IPv6 addresses (rhbz#2108580)
- [DOWNSTREAM ONLY] Workaround issue with ansible-core-2.12.2 (rhbz#2107914)
- Fix malformed hiera file for ovn_chassis_mac_map (rhbz#2101937)
- Revert "Override tripleo_ceph_client_vars in tripleo_run_cephadm role"
- Modify run_once behavior of tripleo_free strategy (rhbz#2061393)
- Override tripleo_ceph_client_vars in tripleo_run_cephadm role (rhbz#2097408)
- Designate: support configuring non-ooo-deployed binds (rhbz#2008274)
- Modify designate bind pool config to match proxied endpoints (rhbz#1897319)
- Run package check for openstack-selinux in privileged mode (rhbz#2095776)
- Ensure bootstrap packages are correctly installed (rhbz#2095776)
- Designate: specify source address when using rndc (rhbz#2073026)
- Designate: remove unnecessary transitional code for moving extra IP (rhbz#1884782)
- Only run Ceph network_config_set during initial deployment (rhbz#2104647)
- [B&R] More robust check on Galera desync the MySQL node (rhbz#2101765)
- The stderr of the command can have WARNs (rhbz#2101765)
- [update] Remove obsolete link reference in error message. (rhbz#2103639)
- [update] Tell subscription-manager it's not running in a container. (rhbz#2103995)
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#2103639)
- [DOWNSTREAM-ONLY] Omit pg_num unless provided in tripleo_run_cephadm's build_pools (rhbz#2081592)

* Sun Jul 24 2022 OSP Prod Chain <dev-null@redhat.com> 3.3.1-1.20220724234759.89ca763
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#2103639)
- [DOWNSTREAM-ONLY] Omit pg_num unless provided in tripleo_run_cephadm's build_pools (rhbz#2081592)
- Run package check for openstack-selinux in privileged mode
- Rename molecule jobs to centos-stream
- Ansible_playbook to select ddp package for NFV node provision
- Fix default tripleo_network_config_template
- bnr added cli-undercloud-backup-db molecule job

* Mon Jul 18 2022 OSP Prod Chain <dev-null@redhat.com> 3.3.1-1.20220718141909.6a6fcd2
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#2103639)
- [DOWNSTREAM-ONLY] Omit pg_num unless provided in tripleo_run_cephadm's build_pools (rhbz#2081592)
- [TripleO-Package] Remove Dockerfiles
- Fix malformed hiera file for ovn_chassis_mac_map
- Use default config_podman.yml config for podman driver
- Modify run_once behavior of tripleo_free strategy
- Stop overriding irrelevant files
- [Wallaby-only] Fixes for wallaby molecule jobs
- Ensure bootstrap packages are correctly installed
- Only run Ceph network_config_set during initial deployment
- Improve connectivity check
- Designate: support configuring non-ooo-deployed binds
- Modify designate bind pool config to match proxied endpoints
- Fix typo from 'sdterr' to 'stderr'
- Designate: specify source address when using rndc
- Designate: remove unnecessary transitional code for moving extra IP
- [update] Remove obsolete link reference in error message.
- [update] Tell subscription-manager it's not running in a container.
- [B&R] More robust check on Galera desync the MySQL node
- The stderr of the command can have WARNs
- Don't extract dns_domain when not set
- Make osds spec extra keys more flexible
- Cleanup Keystone services that are not required
- Use node UUID for bridge_mapping agent check
- Fix list append for ansible 2.13
- bnr - backup of the control plane in composable roles deployment
- Use default molecule config for roles having delegated driver
- Set tripleo_ceph_client_vars consistently with THT
- Use lowercase hostname in DeployedServerPortMap
- Remove stack_action from Octavia deployment
- Remove - from endfor statement
- Add ssl spec parameter to rgw
- Compute grafana_vip using net_vip_map instead of hiera
- Make sure tripleo_cephadm_ceph_cli is defined
- Add deployed_ceph condition on net_config_set
- Add ssl spec parameter to ceph_spec module
- Include vars when using standalone bootstrap role
- Ensure required tools are available
- Make bootstrap tasks more modular
- Remove usage of stack_action/stack_update_type
- Squash standalone deployed_ceph for tripleo-ansible to Wallaby
- Designate: use extra IP for bind/unbound colocation on the bind9 backend
- Add ceph_config_set before applying the spec
- Set current ceph dashboard mgr backend fact
- Disable trash purge scheduler
- Use lowercase hostname in inventory network config
- Fix port idempotency when uppercase in hostname
- Ensure lowercase hostname in NodePortMap
- Ensure the dependent service is started in advance
- Remove gathering facts
- [tripleo_podman] Add network_backend section in containers.conf
- Ensure ceph_ansible_playbook_verbosity is an integer
- Do not set Ceph network options in assimilate_ceph.conf
- Modify cert gen to make it work under fips
- Add cell internalapi VIP in controllers /etc/hosts
- Use instance_info.display_name for existing hostname matching
- Replace wait_for with wait_for_connection
- Create Ceph pools/cephx keys with cli-deployed-ceph.yaml
- Don't extract dns_name when not set
- kernelargs play, gather facts after waiting for pre_tasks
- Disable Octavia management gateway on update
- Prevent the abusive restart of the octavia services

* Thu May 19 2022 OSP Prod Chain <dev-null@redhat.com> 3.3.1-0.20220519231828.5e0485e
- Correcting attribute for 'Node' object

* Wed May 18 2022 OSP Prod Chain <dev-null@redhat.com> 3.3.1-0.20220519001841.5e0485e
- Update patches
- Normalize the server_addr dashboard backend

* Wed May 18 2022 OSP Prod Chain <dev-null@redhat.com> 3.3.1-0.20220518232917.3267287
- Normalize the server_addr dashboard backend

* Wed May 18 2022 OSP Prod Chain <dev-null@redhat.com> 3.3.1-0.20220518222002.3267287
- Use instance_info.display_name for existing hostname matching (rhbz#2079935)

* Fri May 13 2022 OSP Prod Chain <dev-null@redhat.com> 3.3.1-0.20220513222628.3267287
- Update patches
- tripleo_firewall: Allow injecting frontend rules

* Thu May 12 2022 OSP Prod Chain <dev-null@redhat.com> 3.3.1-0.20220513002809.47d0ab5
- Update patches
- ReaR needs specific configuration in RHEL9 with LVM
- Add ansible_playbook to support NFV deployment during "overcloud node provision" command
- Add a new task file for masquerade

* Sun May 08 2022 OSP Prod Chain <dev-null@redhat.com> 3.3.1-0.20220508231833.96104ee
- kernelargs play, gather facts after waiting for pre_tasks (rhbz#2035325)

* Fri May 06 2022 OSP Prod Chain <dev-null@redhat.com> 3.3.1-0.20220506233512.96104ee
- Update patches
- Files in /etc/sudoers.d/ should be owned by root
- Run all validations in check mode
- Change access permission of files in /etc/os-net-config
- Support ceph_conf_overrides for multiple_external_ceph_clusters
- Don't specify inventory in base molecule config file
- Elevate privileges when deleting stack dir
- Mysql has been replaced by mariadb
- Define role specific defaults for growvols_args

* Wed Apr 27 2022 OSP Prod Chain <dev-null@redhat.com> 3.3.1-0.20220427230448.1fbbf40
- Update patches
- Add tripleo_cephadm_extra_args to bootstrap

* Mon Apr 18 2022 OSP Prod Chain <dev-null@redhat.com> 3.3.1-0.20220418222253.1557dde
- Update patches
- Undercloud mysql database must be idempotent

* Fri Apr 15 2022 OSP Prod Chain <dev-null@redhat.com> 3.3.1-0.20220415222436.c2b77e6
- Update patches
- Add playbook which includes kernelargs.yml
- Fix TimeoutStopSec to integer convertion
- Reference to vars_files is missing from playbook
- Pass CephClusterName in deployed Ceph template

* Thu Apr 07 2022 OSP Prod Chain <dev-null@redhat.com> 3.3.1-0.20220407072608.0bc2994
- [DOWNSTREAM-ONLY] Pass --yes-i-know to cephadm bootstrap (rhbz#2072665)

* Wed Apr 06 2022 OSP Prod Chain <dev-null@redhat.com> 3.3.1-0.20220407013138.0bc2994
- Update patches
- Explicitly cast boolean variables in cephadm playbook
- bnr - Fix bad UEFI working
- Disable auto discovery
- bnr - Enable encrypted backups

* Wed Apr 06 2022 OSP Prod Chain <dev-null@redhat.com> 3.3.1-0.20220407003715.9efbca4
- Explicitly cast boolean variables in cephadm playbook
- bnr - Fix bad UEFI working
- Disable auto discovery
- bnr - Enable encrypted backups

* Fri Mar 25 2022 OSP Prod Chain <dev-null@redhat.com> 3.3.1-0.20220326002748.9efbca4
- Update patches
- Add pre-provisioned nodes to unprovision confirmation

* Thu Mar 24 2022 OSP Prod Chain <dev-null@redhat.com> 3.3.1-0.20220324053201.6be7506
- Update patches
- Move creating empty ruleset for deployed server
- autodoc shouldn't assume there's a converge playbook
- Adding tripleo_kernel_hugepages
- OVN BGP Agent support
- Do not wait for mons when ceph is already deployed
- Run molecule when ceph_spec_bootstrap is changed
- Removing playbooks section from default molecule config
- Creating a default molecule config

* Thu Mar 17 2022 OSP Prod Chain <dev-null@redhat.com> 3.3.1-0.20220317201102.6f343c5
- Update patches
- Check for existing baremetal deployed path
- Use the same ContainerCephDaemonImage defined for deployed Ceph.
- Fix permissions on ganesha related tasks
- Cast tripleo_cephadm_container_tag to string
- Disable gateway for Octavia management subnet
- Only execute task when tripleo_backup_and_restore_historical is true

* Thu Mar 17 2022 OSP Prod Chain <dev-null@redhat.com> 3.3.1-0.20220317152040.130185a
- Cast tripleo_cephadm_container_tag to string (rhbz#2065055)
- Use the same ContainerCephDaemonImage defined for deployed Ceph. (rhbz#2065055)

* Wed Mar 16 2022 OSP Prod Chain <dev-null@redhat.com> 3.3.1-0.20220316142306.130185a
- Do not wait for mons when ceph is already deployed (rhbz#2064691)

* Sun Mar 06 2022 OSP Prod Chain <dev-null@redhat.com> 3.3.1-0.20220307002208.130185a
- Update patches
- Add ceph_cluster option during auth export
- Add option to bootstrap cephadm with --single-host-defaults
- Add tripleo_cephadm_default_container boolean

* Mon Feb 28 2022 OSP Prod Chain <dev-null@redhat.com> 3.3.1-0.20220228221850.209cdae
- Update patches
- Enable fips test for collectd
- Adds c9 content provider to check and gate layout for wallaby

* Thu Feb 24 2022 OSP Prod Chain <dev-null@redhat.com> 3.3.1-0.20220224222734.2407366
- Update patches
- Enable fips test for metrics_qdr
- Improve connectivity check

* Fri Feb 18 2022 OSP Prod Chain <dev-null@redhat.com> 3.3.1-0.20220218222227.f9786b1
- Update patches
- Switch collectd molecule jobs to use CentOS Stream 8 image
- Improve error messag if subnet is not found
- Fix how tripleo_multipathd updates multipath.conf

* Thu Feb 17 2022 OSP Prod Chain <dev-null@redhat.com> 3.3.1-0.20220218000731.f5c21c3
- Update patches
- Move metrics_qdr molecule tests to centos stream
- tuned - check packages before install
- tripleo-bootstrap - check packeges fact befor install

* Fri Feb 11 2022 OSP Prod Chain <dev-null@redhat.com> 3.3.1-0.20220212004409.fddf6fe
- Update patches
- Add playbooks to config overcloud hosts and container regsitry
- Remove old per step startup configs

* Tue Feb 08 2022 OSP Prod Chain <dev-null@redhat.com> 3.3.1-0.20220208221958.deb9b43
- Update patches
- historical variable evaluated as bool
- [Only Wallaby] BnR added ramdisk_kernel_arguments to the restoration process

* Sat Feb 05 2022 OSP Prod Chain <dev-null@redhat.com> 3.3.1-0.20220206002452.c158dba
- Update patches
- Added controller_group_name to override group name

* Thu Feb 03 2022 OSP Prod Chain <dev-null@redhat.com> 3.3.1-0.20220204021043.c195ba1
- Update patches
- Make template ovn_chassis_mac_map backwards-compatible
- Use shell module to generate keys
- tripleo-transfer: fix molecule test
- Fix octavia deployment tasks for FIPS environment
- Enable B&R of systems using UEFI bootloader
- Add support for Octavia AZs for Edge deployments
- Add logging configuration for designate bind
- Fix indentation issue with 2-bonds-vlans config
- Force NetworkManager to unmanage /etc/resolv.conf
- The NFS directory parameter is hardcoded instead of re-used

* Wed Jan 26 2022 OSP Prod Chain <dev-null@redhat.com> 3.3.1-0.20220126224949.63971b4
- Update patches
- Disable cloud-init netconfig post os-net-config
- Create nova flavor for Octavia
- Add some missing bind service parameters

* Mon Jan 24 2022 OSP Prod Chain <dev-null@redhat.com> 3.3.1-0.20220125002155.57ef5b6
- Update patches
- Switch to centos-8-stream nodesets

* Sat Jan 22 2022 OSP Prod Chain <dev-null@redhat.com> 3.3.1-0.20220122230520.a2b01aa
- Update patches
- Fix virtual host for image-serve
- Set the ansible-lint version to v5.3.2

* Mon Jan 03 2022 OSP Prod Chain <dev-null@redhat.com> 3.3.1-0.20220103222749.8c64593
- Update patches
- Sync vars from redhat.yml to redhat-9.yml

* Thu Dec 23 2021 OSP Prod Chain <dev-null@redhat.com> 3.3.1-0.20211224001853.ec8d40a
- Update patches
- Add el9 vars file for bootstrap
- bnr - Remove the filter to backup the root grants [mysql]
- Add tripleo_cephadm_verbose condition to post.yaml

* Tue Dec 21 2021 OSP Prod Chain <dev-null@redhat.com> 3.3.1-0.20211222003136.f71ecae
- Update patches
- Add support for enable/disable of cephadm SSH user
- bnr Add folder marker to avoid overwrote
- Remove redundant default route from ci nic-config

* Sun Dec 19 2021 OSP Prod Chain <dev-null@redhat.com> 3.3.1-0.20211219123848.4a3cfc0
- Update patches
- Do not set-require-min-compat-client for Ceph by default
- Update TOX_CONSTRAINTS_FILE for stable/wallaby

* Thu Dec 16 2021 OSP Prod Chain <dev-null@redhat.com> 3.3.1-0.20211216165643.d2d2eac
- Update patches
- tripleo-podman: Enable and start podman.socket
- Custom networks ci nic template
- Disable image-serve MultiViews
- Turn crush_hierarchy path into var content
- Support a custom ceph_crush_hierarchy in the Ceph spec
- Add the MTU size to ping to catch network issues

* Tue Nov 30 2021 OSP Prod Chain <dev-null@redhat.com> 3.3.1-0.20211201001902.748d622
- Update patches
- Require Ceph network parameters to be passed to deployed_ceph playbook
- Default route on ctlplane in CI ipv6 nic config

* Fri Nov 26 2021 OSP Prod Chain <dev-null@redhat.com> 3.3.1-0.20211127001845.44861f3
- Update patches
- Skip ganesha config is ceph_nfs is not included

* Wed Nov 24 2021 OSP Prod Chain <dev-null@redhat.com> 3.3.1-0.20211125001900.fd6466d
- Update patches
- bnr rename cli-overcloud-restore-node.yml
- bnr Prepare undercloud nfs ironic

* Mon Nov 22 2021 OSP Prod Chain <dev-null@redhat.com> 3.3.1-0.20211123003241.024ecef
- Update patches
- bnr Use replace instead of lineinfile and grouped similar tasks in a loop

* Thu Nov 18 2021 OSP Prod Chain <dev-null@redhat.com> 3.3.1-0.20211119001859.f682876
- Update patches
- Add ping test for all networks gateway IPs

* Wed Nov 17 2021 OSP Prod Chain <dev-null@redhat.com> 3.3.1-0.20211118003826.ba0cbdd
- Update patches
- bnr Configure ReaR to restore with ironic

* Fri Nov 12 2021 OSP Prod Chain <dev-null@redhat.com> 3.3.1-0.20211113002007.7e82332
- Update patches
- Make KillMode configurable for service units

* Fri Nov 12 2021 OSP Prod Chain <dev-null@redhat.com> 3.3.1-0.20211112135009.3497416
- Update patches
- Correct how we fetch certificate for cephadm/rgw

* Wed Nov 10 2021 OSP Prod Chain <dev-null@redhat.com> 3.3.1-0.20211111003402.59b4c61
- Update patches

* Tue Nov 09 2021 OSP Prod Chain <dev-null@redhat.com> 3.3.1-0.20211110004320.59b4c61
- Update patches
- Ensure we mount the certificates in container
- Add missing "become: true"
- Switch from genisoimage to xorriso
- Add tripleo_dnf_stream Ansible module.
- Remove cli-config-download-export.yaml
- Wrap stopping podman -t with systemd timeouts

* Wed Nov 03 2021 OSP Prod Chain <dev-null@redhat.com> 3.3.1-0.20211104004322.8a62ee4
- Update patches
- Align tasks between config-download playbooks
- Remove deny list check from cli-enable-ssh-admin.yaml

* Tue Nov 02 2021 OSP Prod Chain <dev-null@redhat.com> 3.3.1-0.20211102221948.d4e7df0
- Update patches
- Reload dbus config should work for both c8 and c9

* Thu Oct 28 2021 OSP Prod Chain <dev-null@redhat.com> 3.3.1-0.20211029010151.85b8610
- Update patches
- Add back testing for tripleo-ansible modules.
- Filter network_virtual_ips using service_net_map
- Use service_net_map for internal_api_vip
- Use service_net_map for ceph_dashboard_vip
- Use service_net_map for ganesha_vip
- Use service_net_map, not conditions on hard-coded networ names

* Fri Oct 22 2021 OSP Prod Chain <dev-null@redhat.com> 3.3.1-0.20211023001916.f436ec4
- Update patches
- bnr fix the exportation of the ceph authentication

* Sat Oct 16 2021 OSP Prod Chain <dev-null@redhat.com> 3.3.1-0.20211017001957.54306a2
- Update patches
- Add DNS resolver forwarding support to Unbound
- Drop minion job

* Fri Oct 15 2021 OSP Prod Chain <dev-null@redhat.com> 3.3.1-0.20211016004359.a806e7d
- Update patches
- Apply ceph_conf_overrides for non-deployed_ceph services
- Don't try to set unbound address when already set
- bnr restore wirh Ironic
- bnr - Reduce the default parameters of the /etc/rear/local.conf

* Sun Oct 10 2021 OSP Prod Chain <dev-null@redhat.com> 3.3.1-0.20211011001853.1a69099
- Update patches
- Allow LVM filter to work when either allowlist or denylist are empty
- Make Galera desync operation more resilient

* Fri Oct 08 2021 OSP Prod Chain <dev-null@redhat.com> 3.3.1-0.20211009001900.bc3b9f2
- Update patches
- Disable TraceEnable to satisfy security scanners

* Tue Oct 05 2021 OSP Prod Chain <dev-null@redhat.com> 3.3.1-0.20211005221919.d59d6f4
- Update patches
- Automate the /var/lib/ceph backup during recovery phase
- Properly detect default whole-disk image
- Add playbook cli-overcloud-node-growvols.yaml
- Reimplement os_tripleo_baremetal_node_introspection
- Don't use upper-constraints with molecule

* Mon Oct 04 2021 OSP Prod Chain <dev-null@redhat.com> 3.3.1-0.20211005003019.ec94302
- Update patches
- bnr change the name of the var to more generic names

* Sat Oct 02 2021 OSP Prod Chain <dev-null@redhat.com> 3.3.1-0.20211003004207.16c65f4
- Update patches
- Systemd PIDFile needs to be in /run not in /var/run
- Explicitly define engine runtime in containers.conf
- bnr Create subfolders on the backup directory
- bnr Added the NETWORKING_PREPARATION_COMMANDS

* Wed Sep 29 2021 OSP Prod Chain <dev-null@redhat.com> 3.3.1-0.20210930001834.2ac36a4
- Update patches
- Remove stack_action for os-net-config
- bnr: Fixed the ERROR 1141 when users has fqdn

* Tue Sep 28 2021 OSP Prod Chain <dev-null@redhat.com> 3.3.1-0.20210929004557.0d52d59
- Update patches
- Validating againsts stdout instead of stdout_lines

* Fri Sep 24 2021 OSP Prod Chain <dev-null@redhat.com> 3.3.1-0.20210924221838.25e4f53
- Update patches
- fix galaxy meta requirements

* Wed Sep 22 2021 OSP Prod Chain <dev-null@redhat.com> 3.3.1-0.20210922221834.3a0840d
- Update patches
- Don't hide tripleo_network_config logs

* Thu Sep 16 2021 OSP Prod Chain <dev-null@redhat.com> 3.3.1-0.20210917001840.7e9126c
- Update patches
- Don't run stack delete in overcloud delete

* Wed Sep 15 2021 OSP Prod Chain <dev-null@redhat.com> 3.3.1-0.20210915222524.37270f8
- Update patches
- Create SG rule for Octavia log offloading
- Enable security group on the Octavia management port

* Tue Sep 14 2021 OSP Prod Chain <dev-null@redhat.com> 3.3.1-0.20210915001842.772cc3f
- Update patches
- Add rbd trash purge scheduler to the Ceph conf

* Thu Sep 09 2021 OSP Prod Chain <dev-null@redhat.com> 3.3.1-0.20210910001835.6122900
- Update patches
- Check whether an HA resource already exists explicitly
- Fix molecule job for tripleo_ha_wrapper

* Wed Sep 08 2021 OSP Prod Chain <dev-null@redhat.com> 3.3.1-0.20210908222215.768fd33
- Update patches
- The ceph dashboard backends should listen on the storage network

* Tue Sep 07 2021 OSP Prod Chain <dev-null@redhat.com> 3.3.1-0.20210907221815.c91ad89
- Update patches
- Update stack delete to support local stacks

* Fri Sep 03 2021 OSP Prod Chain <dev-null@redhat.com> 3.3.1-0.20210903082916.3c7bf9a
- Update patches
- Create /etc/cni/net.d if it does not exist
- Generate Octavia ssh key from the octavia playbook
- Fix getting service_name

* Tue Aug 31 2021 OSP Prod Chain <dev-null@redhat.com> 3.3.1-0.20210901001813.c799b53
- Update patches
- tuned: install cpu-partitioning profile by default
- Disable cephadm when ceph is deployed

* Mon Aug 30 2021 OSP Prod Chain <dev-null@redhat.com> 3.3.1-0.20210830221809.12242c7
- Update patches
- tripleo_frr: Allow a password to be set in FRR's neighbor section

* Thu Aug 26 2021 OSP Prod Chain <dev-null@redhat.com> 3.3.1-0.20210827002833.03cce4a
- Update patches
- Allow watch_frr options to be set and support frr-8.0
- Add deployed_ceph feature
- Convert all OS module imports to collections imports

* Wed Aug 25 2021 OSP Prod Chain <dev-null@redhat.com> 3.3.1-0.20210825091952.cec6f7a
- Update patches
- Don't pass None to neutron for ipv6_address_mode/ipv6_ra_mode
- Allow BFD timeouts to be customized
- frr: Add entry points to be able to customize the config
- Add BGP EVPN support to tripleo_frr
- tripleo_frr: set default version and profile
- Fix BGP IPv4 unicast disablement
- Add BGP router-id and resolve-via-default options
- tripleo_push_artifacts: fix argument parsing
- tripleo_push_artifacts: ensure destination exists
- Disable mlockall if postcopy is enabled

* Fri Aug 20 2021 OSP Prod Chain <dev-null@redhat.com> 3.3.1-0.20210821014206.8733ac0
- Update patches
- BnR: managed ceph properly to take a backup of the node
- Adjust molecule jobs for Ansible 2.11
- Use different name to distinguish between facts and vars in octavia

* Tue Aug 17 2021 OSP Prod Chain <dev-null@redhat.com> 3.3.1-0.20210818021332.f3eb154
- Update patches

* Wed Aug 11 2021 OSP Prod Chain <dev-null@redhat.com> 3.2.1-0.20210812012932.f3eb154
- Update patches
- tripleo-kernel: Adding reboot_protection variable

* Tue Aug 10 2021 OSP Prod Chain <dev-null@redhat.com> 3.2.1-0.20210810221812.b9be2f3
- Update patches
- Set ganesha_vip when no StoragetNFS network

* Mon Aug 09 2021 OSP Prod Chain <dev-null@redhat.com> 3.2.1-0.20210809091810.1d397c9
- Update patches
- Enforce minimum Ceph client version to Mimic

* Tue Aug 03 2021 OSP Prod Chain <dev-null@redhat.com> 3.2.1-0.20210804001810.8855f92
- Update patches
- Allow for cron programming of backups
- tripleo-kernel: prevent reboot when TSX flag was added
- Configure vhost-postcopy-support

* Thu Jul 29 2021 OSP Prod Chain <dev-null@redhat.com> 3.2.1-0.20210730002824.a7c4354
- Update patches
- Copy generated /boot/grub2/grubenv to EFI dirs
- Fix tripleo_backup_and_restore_rear_simulate boolean check

* Tue Jul 27 2021 OSP Prod Chain <dev-null@redhat.com> 3.2.1-0.20210728004716.9a7d1a5
- Update patches
- Remove the usage of ansible_date_time
- Improve the config-key settings when Ceph is deployed
- Fix typo in 'create fcontext entry for collectd data'
- Use serial or parallel execution depending on the kind of backup

* Thu Jul 22 2021 OSP Prod Chain <dev-null@redhat.com> 3.2.1-0.20210722221809.51fa281
- Update patches
- Force ansible-lint to check just this repository

* Mon Jul 19 2021 OSP Prod Chain <dev-null@redhat.com> 3.2.1-0.20210719225023.ff62338
- Update patches
- cephadm: add missing cluster name
- Pass tripleo_ceph_client_cluster in ceph_client template
- Explicitly set ceph_dashboard_vip when Ceph Dashboard is enabled

* Fri Jul 16 2021 OSP Prod Chain <dev-null@redhat.com> 3.1.3-0.20210717001811.7e954d5
- Update patches
- Only write inventory network-config if "configure_networking"

* Thu Jul 15 2021 OSP Prod Chain <dev-null@redhat.com> 3.1.3-0.20210716002802.254ae42
- Update patches
- Backup and Restore playbook is not 100% idempotent when running in snapshot mode
- Wire up the tripleo-upgrades-wallaby-pipeline

* Wed Jul 14 2021 OSP Prod Chain <dev-null@redhat.com> 3.1.3-0.20210714224029.2e2e0b3
- Update patches
- Replace LEAPP_DEVEL_SKIP_RHSM with LEAPP_NO_RHSM

* Sat Jul 10 2021 OSP Prod Chain <dev-null@redhat.com> 3.1.3-0.20210710221807.c8d75cd
- Update patches
- replacing "," with " " to avoid timemaster to consider it as a single interface
- Online backup of the galera database must desynchronize the node before backup
- Switch from pacemaker standby to pacemaker stop

* Fri Jul 09 2021 OSP Prod Chain <dev-null@redhat.com> 3.1.3-0.20210709222810.79c69d5
- Update patches
- Avoid hardcoding /home/stack in cli-undercloud-db-backup.yaml.

* Wed Jul 07 2021 OSP Prod Chain <dev-null@redhat.com> 3.1.3-0.20210707222820.ef0fd41
- Update patches

* Sat Jul 03 2021 OSP Prod Chain <dev-null@redhat.com> 3.1.3-0.20210703223744.ef0fd41
- Update patches
- Add option to set template paths in env population
- Remove leftover of Panko support

* Fri Jul 02 2021 OSP Prod Chain <dev-null@redhat.com> 3.1.3-0.20210702224219.24c14d2
- Update patches
- Module: tripleo_unprovision_network and cli playbook
- Restart octavia rsyslog after updating the config
- Enable DPDK OVS PMD Auto Load Balance
- Delete network VIPs on stack delete
- Add playbook to perform UC DB backup only.
- tripleo-transfer: ability to customize files transfer options

* Thu Jul 01 2021 OSP Prod Chain <dev-null@redhat.com> 3.1.3-0.20210701131810.8398ce3
- Remove leftover of Panko support

* Mon Jun 28 2021 OSP Prod Chain <dev-null@redhat.com> 3.1.3-0.20210628230305.8398ce3
- Update patches
- Add tripleo_ceph_distribute_keys role
- pmd auto balance parameters support in ovs
- Container manage module, attempt 2
- Update manila mon, mgr and osd caps for Wallaby+
- Make sure the _admin label is present on mons
- Disable facts gathering in net config playbook
- More descriptive task names
- Add support for collocating Unbound and bind on the same host
- Add tripleo_findif_for_ip ansible module

* Mon Jun 21 2021 OSP Prod Chain <dev-null@redhat.com> 3.1.3-0.20210621223949.5e4eca4
- Update patches
- Ensure we get the relevant fcontext overrides
- Remove become: true from the role

* Sat Jun 19 2021 OSP Prod Chain <dev-null@redhat.com> 3.1.3-0.20210619221808.962b488
- Update patches
- Change default permission for cephx keyring files

* Fri Jun 18 2021 OSP Prod Chain <dev-null@redhat.com> 3.1.3-0.20210618223950.a00298c
- Update patches
- Deploy rbd-mirror using cephadm
- Refresh instance after adding allocation
- Use podman collection instead of podman* modules

* Thu Jun 17 2021 OSP Prod Chain <dev-null@redhat.com> 3.1.3-0.20210617221810.4dbf0fa
- Update patches
- Create allocation if hostname matches display_name
- BnR Added a nfs validation when the nfs server is installed
- Use direct import from collection

* Wed Jun 16 2021 OSP Prod Chain <dev-null@redhat.com> 3.1.3-0.20210616222916.d0419f1
- Update patches
- Fix default_route_network - default to ctlplane
- Default net name upper to name lower in net maps
- Delete OVN MAC addr ports prior to deleting stack

* Tue Jun 15 2021 OSP Prod Chain <dev-null@redhat.com> 3.1.3-0.20210615221810.17cb4f7
- Update patches
- Build ganesha idmap.conf file path and apply overrides

* Mon Jun 14 2021 OSP Prod Chain <dev-null@redhat.com> 3.1.2-0.20210614221807.ee23756
- Update patches

* Sat Jun 12 2021 OSP Prod Chain <dev-null@redhat.com> 3.1.2-0.20210612071807.ee23756
- Update patches
- Ensures mount uid/git for Manila keyring are correctly set

* Thu Jun 10 2021 OSP Prod Chain <dev-null@redhat.com> 3.1.2-0.20210610221827.9d7e339
- Update patches
- Bump molecule to fix testing
- [STABLE-Only] Change doc requirement file
- Fix failures because of Jinja version limit

* Wed Jun 09 2021 OSP Prod Chain <dev-null@redhat.com> 3.1.2-0.20210609221814.e3b1849
- Update patches
- Make the monitoring stack ports configurable for each daemon

* Mon Jun 07 2021 OSP Prod Chain <dev-null@redhat.com> 3.1.2-0.20210608001810.9e88eca
- Update patches
- Add podman's events_logger option by default set to journald
- Deploy standalone ganesha instances using cephadm

* Mon Jun 07 2021 OSP Prod Chain <dev-null@redhat.com> 3.1.2-0.20210607094452.4776611
- Update patches
- Remove CephConfigOverrides from tripleo ceph client role
- Make ceph-nfs service source path for /etc/ceph configurable
- Do not convert amphora images to raw if they are already raw

* Thu Jun 03 2021 OSP Prod Chain <dev-null@redhat.com> 3.1.2-0.20210604004646.7062ca0
- Update patches
- BnR Test NFS server conectivity & ubi-minimal container image
- Make execution of the backup idempotent
- Correct values for podman container
- Add the networks parameter to the monitoring stack components
- After SFTP backup, the backup file and the iso must be deleted from the machine

* Fri May 28 2021 OSP Prod Chain <dev-null@redhat.com> 3.1.2-0.20210528163134.0dad3b5
- Update patches
- Limit cephadm private key distribution to mons/mgrs

* Fri May 28 2021 OSP Prod Chain <dev-null@redhat.com> 3.1.2-0.20210528142602.8a60b2e
- Update patches

* Thu May 27 2021 OSP Prod Chain <dev-null@redhat.com> 3.1.2-0.20210527094941.8a60b2e
- Update patches
- Create ganesha-export-index before the ceph-nfs daemon is deployed
- Fix network-v2 node port idempotency

* Sun May 23 2021 OSP Prod Chain <dev-null@redhat.com> 3.1.2-0.20210523152848.3f20fc1
- Update patches
- Move the snapshots feature to optional/beta

* Thu May 20 2021 OSP Prod Chain <dev-null@redhat.com> 3.1.2-0.20210520231810.d5cb7ce
- Update patches
- Add CephHciOsdCount/CephHciOsdType to tripleo_derive_hci_parameters

* Thu May 20 2021 OSP Prod Chain <dev-null@redhat.com> 3.1.1-0.20210520071814.8fd3e17
- Update patches

* Tue May 18 2021 OSP Prod Chain <dev-null@redhat.com> 3.1.1-0.20210519001814.8fd3e17
- Update patches

* Tue May 18 2021 OSP Prod Chain <dev-null@redhat.com> 3.1.1-0.20210518232831.8fd3e17
- Update patches
- Update .gitreview for stable/wallaby

* Sat May 15 2021 OSP Prod Chain <dev-null@redhat.com> 3.1.1-0.20210515232809.cc527d9
- Update patches
- Increase wait_for_osds retries and dealys

* Wed May 12 2021 OSP Prod Chain <dev-null@redhat.com> 3.1.1-0.20210513010341.d42023b
- Update patches
- Remove redhat-8.2.yml var file
- Add retries to containers listing
- Code cleaning of tripleo_derive_hci_parameters module
- Improve handling of memory retrieval from introspection data
- Add tripleo_ovn_cluster role
- Remove "cli" prefix from cli-derive-local-hci-parameters.yml
- Add append option to tripleo_derive_hci_parameters module
- Don't assume Ironic is installed
- Set precision of FRR log message timestamps
- Fix ovs_dpdk molecule job to work with stream node
- Backup&Restore Snapshots RFE
- Use ephemeral Heat client if set
- test_deps: Let test_deps use ceph repo
- Use openstack ansible collection instead of os_ modules
- Baremetal deploy - user playbook interface
- Use TOX_CONSTRAINTS_FILE

* Wed Apr 28 2021 OSP Prod Chain <dev-null@redhat.com> 3.0.1-0.20210428165850.28d1daf
- Update patches
- Fix molecule jobs to work with stream nodes
- Allow tripleo_cephadm to process tls info when provided
- Delete service_vips before deleting stack

* Mon Apr 26 2021 OSP Prod Chain <dev-null@redhat.com> 3.0.1-0.20210427022025.8f9a141
- Update patches
- Use centos-8 stream for molecule jobs
- Add --no-stream to all tripleo-repos in molecule jobs
- Write hosts entries per environment
- Compute VIPs using net_vip_map instead of hiera
- Use --ignore-times when transferring files via rsync
- Use ansible_facts in tripleo_ssh_known_hosts role
- Network provision - overcloud net VIPs
- Add module to populate net VIPs environment
- Add module to provision net VIPs
- Add module and cli to extract net VIPs
- Bump linters
- OVN mac address ports ansible module
- Set tripleo_default_route neutron port tag
- Fix systemd warnings around executable and world-inaccessible bits
- Replace include: with include_tasks: in tripleo_container_manager
- Accept 142 as an exit code
- Introduce the network(s) parameter in the ceph spec module
- Add config_drive support to baremetal provision YAML

* Tue Apr 06 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Enable voting for tripleo modules job
- Update podman_container from the collection

* Tue Apr 06 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Temporary disable modules molecule job
- Refactor - move common methods to utils module
- Remove tripleo_hostname tag
- Reducing fact gathering
- Ansible for metrics QDR
- Do not update podman during deployment
- Add cli-overcloud-node-network-config
- Store network_config opts to for inventory generation
- Refactor BM deployment to use '--work-dir'
- Support service VIPs without neutron
- Merge 'profile' into 'capabilities'
- Support for timemaster service with tripleo-ansible role
- Move away from md5 digests in managing octavia amphora images

* Fri Mar 26 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Clean up var names shadowing internals
- Create action plugin to support artifact push
- Remove layout overrides and use tripleo-ci templates instead
- Fix key validation on the ceph_spec common layer
- Fix issues in cli-derive-parameters.yaml playbook
- Configure bind for designate

* Tue Mar 23 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Configure crush rules according to the detected device classes
- Close if block in 2_linux_bonds_vlans.j2
- Do not log ssh keys by default
- Change rotate-fernet-keys playbook to not use plan

* Wed Mar 17 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Designate rndc configuration
- Don't specify --os-cloud undercloud (ephemeral heat)

* Wed Mar 17 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Introduce ceph_spec_bootstrap module
- Deploy RGW, MDS, Ganesha and Ceph Dashboard using cephadm
- Use no_log in ceph-admin-user-playbook
- Upgrade ansible-lint to 5.0
- Create ceph-admin user with its own playbook
- Fix tripleo_network config conditional
- Enforce TRIPLEO_MINOR_UPDATE to be a string at all times
- Ansible for collectd
- Add cephadm mkspec library and common functions
- Correct callback plugins for Ansible 2.10+
- Empty playbooks are not valid
- Baremetal deploy - add network_config schema
- node provision, generate ansible inventory
- Add tripleo_unbound role
- Add snake_case filter
- [tripleo_transfer] Add more thorough testing
- Service virtual IP module and hieradata
- Do not run tripleo_ha_wrapper when the HA service has no config_volume
- Use ansible to generate bind pool configuration

* Sat Mar 06 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Ensure $HOME dir exists and has the right owner/group
- Enable fact bits for ceph execution
- Fix param name in container_puppet_config example
- Remove unused cli-baremetal-configure.yaml playbook
- Update Octavia keypair when public key changed

* Thu Mar 04 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove container delete task
- [tripleo_transfer] Do transfers directly from src to dst
- Build osd caps section when there's at least >= 1 pool
- Fix triple molecule modules job
- [tripleo_transfer] Convert testing to use delegated driver

* Sat Feb 27 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix typo in test_tripleo_overcloud_network_ports.py
- Modifying playbooks to support python-tripleoclient B&R commands
- Fixed and rename task name, which does the opposite
- Run molecule in systemd scope user

* Wed Feb 24 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Introduce tripleo_run_cephadm role and cephadm playbook
- Fix bootstrap ansible_fact
- Remove cli-generate-overcloudrc.yaml playbook
- Update skeleton role to use ansible_facts
- Use ansible_facts instead
- Introduce tripleo_cephadm role
- Set source IPv6 address from inventory vars
- Fix network port unprovision
- Support OS_AUTH_TYPE=none in inventory module
- Don't query neutron ports to determine ssh user
- Option to remove the self-installed ReaR cron task

* Sat Feb 20 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Reduce fact gathering

* Wed Feb 17 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Handle network config override
- Drop use of config_container var in config-download playbooks
- [B&R] Fixed typos in Backup and Restore role templates
- Don't use swift for config download
- Cleanup derive parameters playbooks and modules
- Remove plan parameter update playbook
- Fix typo in set_fact s/heradata_content/hieradata_content
- Disable RHSM passthrough in UBI

* Sun Feb 14 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- tripleo_frr: add BGP TTL security

* Fri Feb 12 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Map nicX abstraction to phys interface name

* Wed Feb 10 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Support default pid limits in containers.conf
- Update legacy network init
- Remove all ununsed plan related playbooks

* Tue Feb 09 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix molecule jobs after release of cryptography3.4
- Write passwords to env file when rotating
- Set source IPv4 address from inventory vars
- Ignore endpoint not found errors

* Fri Feb 05 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Make server group quota unlimited for Octavia

* Thu Feb 04 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Handle containers with no namespace

* Tue Feb 02 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add network index support in network modules

* Mon Feb 01 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add an alias for "port" when handling firewall rules
- Allow rhsm subscription test to be overrided in RHOSP deployment.
- Write derived params to output file

* Sun Jan 24 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix bare variable warning

* Sat Jan 23 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Opens ports to NFS server's firewalld

* Thu Jan 21 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove pcs/pacemaker package installation from upgrade tasks

* Tue Jan 19 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Make get ceph_mon_ip addresses task composable network compatible

* Mon Jan 18 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Create ceph directories in config-download without become

* Sat Jan 16 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Don't set capabilities in priviledge mode
- Add lint dependencies for content provider

* Fri Jan 15 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add tripleo_frr role

* Thu Jan 14 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Thu Jan 14 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Support for unmanaged servers in provision playbook
- Provision workflow managed/unmanaged node support

* Wed Jan 13 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Wed Jan 13 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Switch off of docker.io for testing
- Fix tripleo_podman molecule jobs
- Provison/Unprovision instance network ports
- Expand roles honstname to role mapping

* Mon Jan 11 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Mon Jan 11 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Tune-up plan create when running swift-less
- Add distribute_private_key boolean for tripleo_create_admin
- Add role_net_map to expand roles output
- Populate network ports env module
- Introduce role/instance 'networks' key
- Network ports module
- Derived parameters: Add AMD iommu support

* Tue Dec 29 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Tue Dec 29 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update admin auth playbook to make stack optional
- Support multiple external ceph clusters in tripleo-ceph-client
- Run docs job on all changes in all plugins
- Introducing TripleO ceph client role
- Fix docs job for tripleo ansible
- Run LVM filter tasks when enabled, regardless of allow/deny list size
- Update for a podman_container from collection
- Fix check for existing nvdimm namespaces
- Update doc8 version
- Only add gateway IP if defined during network extract
- Fix rsyslog facility config for Octavia amphora-agent
- [kernel] Updating facts before disabling NICs
- Fix the order of arguments to tar

* Wed Dec 16 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Wed Dec 16 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix ci issues

* Tue Dec 15 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Mon Dec 07 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Restore network_data net order nicX contract
- Drop use of role_networks_lower

* Thu Dec 03 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Stop NetworkManager from updating resolv.conf
- tripleo_config_download: make it work without Swift

* Tue Dec 01 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix issue updating single segment networks
- Add tag with network name on network resources
- networks_lower group_var replace role_networks_lower
- Fix typo in network config templates
- Add test_deps_setup_tripleo var
- Remove extra bridge name declaration
- Fix networks_skip_config condition in nic templates

* Wed Nov 25 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix regex for meta directories
- Use name_lower for network resource name
- Get overcloud domain name from ctlplane
- Ansible-runner is failing when passing host to display
- Replace deprecated UPPER_CONSTRAINTS_FILE variable
- Remove unnecessary tasks from role test molecule jobs

* Tue Nov 24 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Revert "Reimplement os_tripleo_baremetal_node_introspection"

* Sat Nov 21 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add tripleo_update_trusted_cas role

* Fri Nov 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix the Copyright year in licence headers

* Tue Nov 17 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Reimplement os_tripleo_baremetal_node_introspection
- Capture collection requirements
- Kill sudo once we don't need it anymore

* Fri Nov 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- CLI playbook: create overcloud composable network
- Module: tripleo_network_populate_environment
- Module: tripleo_composable_network
- module_utils - network_data_v2

* Fri Nov 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove the need for docker
- port_map: remove NETWORK_KEYS and SUBNET_KEYS

* Sun Nov 08 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Try ipaddr filter from collection

* Sat Nov 07 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add support for rdo openvswitch layered upgrade special treatment.
- Ensure yaml pkg imported in modules is installed

* Wed Nov 04 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update requirements URLs in tox config

* Tue Nov 03 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Reuse the docs deps to benefit from constraints
- Ensure tuned_custom_profile is used for tuned role
- Add Python3 wallaby unit tests
- Update master for stable/victoria

* Sun Nov 01 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- The intention is to install rhosp-release, not -version

* Tue Oct 27 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Skip tripleo_lvmfilter unless enabled or dry_run is set

* Sun Oct 25 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add tripleo_multipathd role

* Thu Oct 22 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix typo on tripleo_bootstrap_release_version_package condition
- Ensure sysstat package is installed
- Use metalsmith version of metalsmith_instances
- Add tripleo-lvmfilter role to restrict visible block devices for LVM2
- BaR doc update + lftp missing package
- Remove six.PY3

* Mon Oct 19 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add ceph_client default options to ceph.conf

* Wed Oct 14 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use default for external_gateway_ip in multiple_nics_ipv6.j2

* Tue Oct 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Tue Oct 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Extract provisioned networks from stack
- Speed up ansible facts gathering
- Switch to content provider jobs/templates

* Sat Oct 10 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add network configs for bond-with-vlans
- Add network config for 2_linux_bonds_vlans
- Use the newly added group_vars to simplify nic configs

* Fri Oct 09 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add constraint for local testing
- Ensure we have the ansible "interfaces" fact
- Add templates for CI multiple_nics_ipv6 and public_bond config
- Add nic config for single-nic-linux-bridge-vlans
- Add nic template variants for dvr and dpdk

* Thu Oct 08 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Configure the default podman network

* Wed Oct 07 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Instruct systemd to accept 137 and 143 exit code

* Tue Oct 06 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- doc: Don't use ansible 2.10.0
- Fix description for baremetal_register_or_update_nodes module

* Fri Oct 02 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add more nic config templates[3]- multiple-nics-vlans
- Add some more nic templates[2]
- Ensure we catch new openvswitch disruption during upgrade/update.
- Add template used for ci multinode jobs

* Thu Oct 01 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Compute dashboard_frontend_vip according to the haproxy frontend

* Wed Sep 30 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update the tox minversion parameter.
- Check mode support for 2 modules
- Add OVN chassis macs to hieradata
- Allow tripleo_firewall to work in check mode
- Add ansible-requirements as a constraint in CI
- Add nic template for ci jobs using multi-nics

* Tue Sep 29 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- BaR: Keep /etc/exports content
- Drop tasks meant to run run_os_net_config.sh
- Allow disabling image_params_prepare task

* Mon Sep 28 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Pin ansible to 2.9 in ansible-lint deps
- Adds more nic config templates[1]
- Stop using custom exception for filter
- Use the UBI8 image for testing
- Don't use ansible 2.10.0
- Add image id compare
- Add support for network config template
- Use unittest.mock instead of mock
- Ansible interface for os-net-config
- Update kernel args grub file entry inline with upgrade changes

* Mon Sep 21 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Don't calculate checksum for default images

* Sat Sep 19 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Don't use rescue to skip cell actions
- Make profile tasks host aware
- Stop using profile_tasks as a base
- Add no_log to os_user async status
- Fix compatibility issue in tripleo callback
- Add release version package
- Add filter for absolute path of file/dir
- OvS DPDK and SRIOV derive parameters
- Avoid reboot for node update even when kernelargs changed

* Wed Sep 16 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Check for raw image in node provision
- Add guard to ensure a mapping has a valid key
- Don't hide logs in molecule
- Use bool filter when checking use_default_templates var
- Derive HCI reseverved host memory without average guest workload
- Introduce module tripleo_derive_hci_parameters

* Tue Sep 08 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- doc: tripleo_os_net_config_mappings module
- Remove swift_ring_rebalance.yaml playbook
- Add tripleo_nodes_validation role

* Sun Sep 06 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Ensure yaml packages are installed
- Add os-net-config mappings support
- Fix podman and buildah only on rhel-8.2

* Thu Sep 03 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Only concatenate default_templates_dir when necessary
- Remove remaining implementations for OpenDaylight

* Wed Sep 02 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Stop relying on future mtime in tripleo_nova_image_cache
- Workaround tripleo_nova_cache issue in ansible 2.9.11

* Wed Sep 02 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add tripleo_ha_wrapper role
- Fix role-addition CI
- Fix tripleo_kernel molecule verification
- Enable tripleo setup for molecule
- Add new playbook for container image prepare cli
- Set timeout to default if not configured
- Add tripleo_deploy_artifacts
- Fix a typo in the explanatory note

* Mon Aug 31 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Expose tripleo_container_manage_clean_orphans var
- BaR - Ceph Backup

* Sat Aug 29 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add tripleo_diff_exec module
- Show the proper value (0) to set unlimited pids
- Enable pids_limit support
- Update containers info module from collection

* Thu Aug 27 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Show the proper value (0) to set unlimited pids
- Enable pids_limit support
- Update containers info module from collection
- Show the proper value (0) to set unlimited pids
- Enable pids_limit support
- Update containers info module from collection

* Wed Aug 26 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Show the proper value (0) to set unlimited pids
- Enable pids_limit support
- Update containers info module from collection

* Tue Aug 25 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix role name typo in octavia playbook

* Mon Aug 24 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add OpenFlow10 to protocols for backwards compatability

* Mon Aug 24 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix linters

* Fri Aug 21 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix role addition skeleton

* Fri Aug 21 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- [tripleo-podman] Install specific version of buildah

* Fri Aug 21 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use latest ansible-lint

* Wed Aug 19 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- tripleo_container_configs module

* Tue Aug 18 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Create tripleo_container_config_scripts module

* Tue Aug 18 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Wait for node to be unlocked before provide

* Tue Aug 18 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add ansible module for container image prepare

* Mon Aug 17 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Create a role for network config

* Mon Aug 17 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Set ceph_ansible_limit to ansible_limit if ansible_limit defined

* Thu Aug 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Ensure those two tasks are compatible with t-h-t import
- Additional permission fixes for roles

* Wed Aug 12 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Restrict ansible install version

* Mon Aug 10 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Stop using handlers for ovs

* Mon Aug 10 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Additional handler cleanup

* Mon Aug 10 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Switch podman actions to use label
- Use label rather than no_log

* Thu Aug 06 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Set the OpenFlow protocol while upgrading OVS from 2.11

* Thu Aug 06 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix podman version

* Tue Aug 04 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Ensure jq installed
- Hide CA passphrase in Octavia tasks
- bar: Spelling type fixed on authentication word

* Mon Aug 03 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove useless validate_stack from deployment plan creation

* Fri Jul 31 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Create an action plugin for podman_container module

* Fri Jul 31 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- helpers: fix pep8 issues
- Refetch task

* Fri Jul 31 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Revert "Ensure we produce a valid JSON while emptying the file"

* Fri Jul 31 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Make tripleo_sshd more idempontent
- Switch from handlers to tasks

* Fri Jul 31 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use ansible_user only if ANSIBLE_REMOTE_USER is unset

* Thu Jul 30 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove some redundant tasks from cli-overcloud-node-unprovision.yaml

* Thu Jul 30 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Ensure we produce a valid JSON while emptying the file

* Wed Jul 29 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- tripleo_podman_purge: try to use -f when pruning images
- Add tripleo_ovs_upgrade module.

* Wed Jul 29 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- tripleo_states: change wording

* Wed Jul 29 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Increase validity period of Octavia CA and certificates

* Tue Jul 28 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix parameter_defaults for nova less deploy
- container_systemd: improve debugging if service never starts

* Mon Jul 27 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Stop caturing stdout for container-image-prepare

* Thu Jul 23 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- tripleo_container_manage: start systemd services which would be stopped

* Thu Jul 23 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Scan existing controllers on update to pick up existing certs/private keys

* Thu Jul 23 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- tripleo_container_manage: continue to reduce tasks

* Thu Jul 23 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- BaR: Deleted duplicated variables

* Tue Jul 21 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Revert "tripleo_container_manage: add test if systemd service is disabled"

* Tue Jul 21 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove unncessary tasks from cli-update-deployment-plan.yaml
- tripleo_container_manage: add test if systemd service is disabled

* Mon Jul 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Allow any_errors_fatal to be dynamic

* Mon Jul 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Capture metalsmith python logging

* Fri Jul 17 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- BaR Ceph authenticacion more ansible way

* Thu Jul 16 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Make buildah login optional

* Tue Jul 14 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- container_startup_config: remove old startup config files
- container_status: "exec" checks status
- tripleo_container_manage: only run exec/create playbooks when needed
- Revert "Make the metalsmith module interactions more resilient"

* Mon Jul 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- container_systemd: improve logging
- tripleo_states: add missing space

* Mon Jul 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update podman_container with better idempotency

* Fri Jul 10 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add default value in CinderRbdExtraPools task condition

* Thu Jul 09 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix introspection restart with unlocking node

* Wed Jul 08 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Introduce an Action Plugin to manage systemd services for containers
- Introduce an Action Plugin to fetch container infos

* Tue Jul 07 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Login with buildah too to allow registry access with buildah

* Tue Jul 07 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use registry:2.7.0 instead of registry:2

* Tue Jul 07 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add mock to test-requirements

* Mon Jul 06 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use ansible_user instead of ANSIBLE_REMOTE_USER env var

* Mon Jul 06 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add a new callback: tripleo_states

* Fri Jul 03 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Revert "move undercloud-containers to nv"

* Thu Jul 02 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use py3 for libselinux / libsemanage in Cent 7/8
- Fix tripleo_hierdata permissions

* Thu Jul 02 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Implement container_startup_config module

* Thu Jul 02 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Wed Jul 01 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Set short ANSIBLE_SSH_CONTROL_PATH_DIR for all ceph roles

* Tue Jun 30 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Document how to use TRIPLEO_JOB_ANSIBLE_ARGS

* Mon Jun 29 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use filter for containers not running check

* Mon Jun 29 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix missing requirements for tests

* Fri Jun 26 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Make sure failed containers get stopped by systemd

* Wed Jun 24 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Make tripleo_ceph_run_ansible handle change in remote_tmp
- Remove paunch module
- Install osc-placement package during client package installation
- Prepare tripleo deps repo in tripleo_client_install molecule job

* Wed Jun 24 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Set retry timeout for nodes introspection

* Tue Jun 23 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- tripleo_profile_tasks: add a final line break

* Tue Jun 23 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Module tripleo_list_overclouds

* Tue Jun 23 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- metalsmith_instances: Handle an empty instance list

* Mon Jun 22 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use folder with plan name with config download export

* Fri Jun 19 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Handle unreachable

* Fri Jun 19 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- tripleo_container_manage: remove paunch-related tasks
- Add pre stop exec hook for container systemd units
- Adding playbook support for changes coming to python-tripleoclient.

* Thu Jun 18 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Don't add non-existing groups in podman tests
- Fix host entries permissions

* Wed Jun 17 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Ensure pip is installed

* Wed Jun 17 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Mon Jun 15 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Revert "Add osd blacklist cap when openstack client cap is built"

* Sat Jun 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Octavia: handle empty amphora image search result

* Fri Jun 12 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add osd blacklist cap when openstack client cap is built

* Thu Jun 11 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add playbook for config-download export

* Wed Jun 10 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add toggle for sensitive data within keystone

* Tue Jun 09 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix error when display_ok_hosts is false

* Tue Jun 09 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Preserve inode when updating /etc/hosts

* Mon Jun 08 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Make throttle optional

* Mon Jun 08 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Molecule testing for TripleO Strategy Plugins

* Mon Jun 08 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Max percentage failure support

* Fri Jun 05 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix tripleo_profile_tasks callback plugin _output()

* Fri Jun 05 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Switch to newer openstackdocstheme and reno versions

* Fri Jun 05 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix missing output call

* Thu Jun 04 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add userspace-tso configuration in open_vswitch

* Thu Jun 04 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- BaR - Export ceph authentication

* Thu Jun 04 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Do not set lo.disable_ipv6=0 by default

* Thu Jun 04 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Prepend timestamp callback output

* Wed Jun 03 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add support for Octavia amphora log offloading

* Wed Jun 03 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Stop to use the __future__ module.

* Tue Jun 02 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Exclude callbacks env vars for ceph-ansible

* Tue Jun 02 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix conditions tuned profile

* Mon Jun 01 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Create tripleo base strategy class
- Add tripleo linear strategy

* Mon Jun 01 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Implement run_once

* Mon Jun 01 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Implement a tripleo free strategy

* Thu May 28 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add playbook for config-download

* Thu May 28 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add module for downloading confg

* Wed May 27 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add ansible module to generate tripleo inventory

* Tue May 26 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add Python3 victoria unit tests
- Update master for stable/ussuri

* Mon May 25 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add security related podman options

* Sun May 24 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add missing doc & zuul job for tripleo_provision_mcelog

* Sun May 24 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add toggle for sensitive data within octavia

* Sat May 23 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Ensure that the playbooks and roles can display debug data when enabled

* Sat May 23 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Create derived parameters playbook, and role

* Fri May 22 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- move undercloud-containers to nv

* Fri May 22 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add tripleo_profile_tasks for tripleo_dense output
- Add tripleo dense formatting
- Add tripleo callback

* Fri May 22 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- added mcelog role

* Thu May 21 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- tripleo_container_manage: set log_level appropriately

* Thu May 21 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add log level config to podman_container module

* Wed May 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- container_manage: fix number of retries to match 10 minutes

* Wed May 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- podman/create: make containers_to_check more realistic

* Wed May 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add centos support to EFI kernel args

* Tue May 19 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Correctly match openvswitch package

* Tue May 19 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- tripleo_container_manage: increase timeout to 15min

* Tue May 19 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Improve deployer UX by limiting failure output potential

* Tue May 19 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Improve facter cache reliability

* Mon May 18 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Move inventory filters to tripleo-upgrade

* Fri May 15 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add centos8 file for deps

* Fri May 15 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- container_manage: catch more containers with wrong return code

* Thu May 14 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Suppress warning about using ln

* Thu May 14 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Handle generating grub config for EFI partitions

* Thu May 14 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Normalize how we run validations

* Thu May 14 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove fedora28 from redhat-8 test

* Wed May 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- tripleo_container_manage: fail if podman_container returns stderr

* Wed May 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Wed May 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Improve idempotency for podman_container

* Tue May 12 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add debug output when rendering container files
- Lint fix on tripleo_swift_tempurl.py

* Mon May 11 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Replace podman commands by module

* Fri May 08 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- podman/systemd: relax the "until" condition

* Thu May 07 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- role-addition: automatically add the new molecule jobs into periodic

* Thu May 07 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update periodic jobs list

* Thu May 07 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add module and playbook for overcloudrc generation

* Thu May 07 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add role for Container file(s) generation

* Wed May 06 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Stop and remove container with module

* Wed May 06 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- tripleo_container_*/molecule: pull fedora instead of centos8

* Wed May 06 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use shared volume for side-car wrapper locks

* Mon May 04 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add a new set of modules to support derived params

* Mon May 04 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- tripleo_redhat_enforce new role to enforce RHOSP constraints.

* Fri May 01 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Convert docker molecule usage to podman

* Fri May 01 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- container_manage: introduce create_retries and exec_retries vars

* Thu Apr 30 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Avoid broken dogpile.cache

* Wed Apr 29 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- [Community goal] Update contributor documentation

* Tue Apr 28 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Change Ansible group from overcloud to allovercloud.
- Revert "Add strategy optimization"

* Mon Apr 27 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add filters used to process data for derived params

* Mon Apr 27 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add ansible hieradata file
- Fix swift_ring_rebalance.yaml playbook

* Mon Apr 27 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix typo in sync script string container name comparison

* Fri Apr 24 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- tripleo_container_manage: trim down ansible tasks

* Thu Apr 23 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix the swift-rings container suffix
- tripleo_container_manage: remove systemd healthchecks
- Remove mistral user access to config-download work dir

* Thu Apr 23 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add connection check before configuring tripleo-admin

* Wed Apr 22 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- tripleo_container_manage: set empty default to systemd registers

* Tue Apr 21 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update method name to be more accurate

* Tue Apr 21 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- tripleo_container_rm: use loop instead of with_items

* Tue Apr 21 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add new role to manage persistent memory devices
- tripleo_container_manage: manage systemd services per step vs start_order
- tripleo_container_manage: extract get_commands into playbooks

* Mon Apr 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- tripleo_container_manage/systemd: add retries mechanism

* Mon Apr 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Create Symlink /usr/bin/ansible-playbook-3 when not exist

* Fri Apr 17 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Simplify tripleo_container_rm to not check binaries

* Fri Apr 17 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- podman_container: only add --rm if rm is True

* Thu Apr 16 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- [upgrade] Add inventory filters to map groups to roles
- Correctly set openstack_domains for ansible >= 2.9

* Thu Apr 16 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add support for v2 registries.conf

* Thu Apr 16 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- tripleo_container_manage: add safeguard against wrong healthcheck config

* Thu Apr 16 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Switch install-docker with ensure-docker

* Thu Apr 16 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Allow passwords to be reset (force rotated)

* Thu Apr 16 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- tripleo_container_manage: print message if no container action
- Add a tripleo-common module util

* Wed Apr 15 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- tripleo_container_manage: optimize systemd services/healthcheck bootstrap

* Tue Apr 14 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update the auto-doc-plugin to support legacy file names

* Tue Apr 14 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- (follow-up) run check mode for more molecule tests
- tripleo_bootstrap: do not fail if OVS rpm wasn't found

* Mon Apr 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- tripleo_hieradata/molecule: add check mode testing

* Fri Apr 10 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add ceph config overrides support

* Thu Apr 09 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Hide passwords better

* Thu Apr 09 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Don't call sdk.connect() again

* Thu Apr 09 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- tripleo_all_nodes_data: sort enabled_services (idempotency)

* Tue Apr 07 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- tripleo_container_manage: add check mode testing

* Tue Apr 07 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- container_puppet_config: don't show a warning if config_hash is empty
- tripleo_container_rm: fix check mode
- Relax get_failed_containers() filter

* Tue Apr 07 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- tripleo_all_nodes_data: Append server node IP to the list.

* Fri Apr 03 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Make the metalsmith module interactions more resilient

* Fri Apr 03 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Cleanup after rename-pocolyps
- 'tripleo_ovs_dpdk_lcore_list' should be optional
- Add filters to help process inventory for tripleo-upgrade
- Add basic parameter update playbook
- Using podman/docker ps to look for running sidecars
- Add dynamic concurrency values
- BaR: Pacemaker config backup

* Wed Apr 01 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Reduce overhead of stack show loop

* Tue Mar 31 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- remove centos-7-standalone-upgrade for master
- Only do nova cell discovery when nova endpoint exists
- Reduce tasks for updating plan parameters
- Hide passwords from ansible output
- Remove mistral dependency from password rotate module
- Create a new playbook that will be used for deriving parameters

* Fri Mar 27 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix condition tuned profile.

* Fri Mar 27 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Don't rotate passwords when updating plan

* Fri Mar 27 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Wait for ironic-neutron-agent bridge_mappings before provide
- Do not duplicate config volumes for puppet manager
- Do not race with locks for the sync/wrapper script

* Fri Mar 27 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- BaR Always do MySQL dumps even the services wont be stopped

* Thu Mar 26 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Rework how we push the content in the file

* Thu Mar 26 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove async from introspection
- Make ceph-ansible run handle missing "{{ playbook_dir }}/ssh_key"

* Thu Mar 26 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix get_failed_containers() to correctly fetch container_data

* Wed Mar 25 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix population of username, public keys

* Tue Mar 24 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Force container deletion if namespace does not exist in service_kill
- Add baremetal node providing module
- tripleo_container_manage: improve logging for failed containers

* Mon Mar 23 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add deploy plan playbook
- Remove duplicate mock requirement from test-reqs

* Fri Mar 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add Centos 8 to galaxy_info versions

* Fri Mar 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add playbook for update deployment plan

* Fri Mar 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add playbook for create deployment plan
- Add tripleo_plan_parameters_update module
- Add tripleo_templates_upload module

* Fri Mar 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Filter out wrapper commands from the ps output

* Fri Mar 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add tripleo_image_params_prepare ansible module
- change linters job to running on a cent8 node
- Fix the docs job
- Simplify linting
- Make tripleo_ceph_run_ansible voting again
- Improve idempotency for images in podman container
- fix all tripleo_container_* molecule jobs on centos8
- Cleanup old mistral key process
- Unprovision confirmation, write an env file
- Rename playbook.yml to converge.yml
- Remove mistral cli from the backup playbook
- Remove useless doc in tripleo-container-manag
- Finalize centos-8 migration
- Get the list of enabled_services on the overcloud
- Revert "Revert "Modify the introspection playbook to simplify client interactions""
- Fix name of baremetal node info module in docs
- Fix error message from tripleo_passwords_rotate module
- Use jinja templating when setting facts
- Allow overriding keystone username by parameter
- Fix os_baremetal_node_info module documentation
- Baremetal Configure Playbook
- Insert hosts entries to the beginning of the file.

* Fri Mar 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Make tripleo_ceph_run_ansible voting again
- Improve idempotency for images in podman container
- fix all tripleo_container_* molecule jobs on centos8
- Cleanup old mistral key process
- Unprovision confirmation, write an env file
- Rename playbook.yml to converge.yml
- Remove mistral cli from the backup playbook
- Remove useless doc in tripleo-container-manag
- Finalize centos-8 migration
- Get the list of enabled_services on the overcloud
- Revert "Revert "Modify the introspection playbook to simplify client interactions""
- Fix name of baremetal node info module in docs
- Fix error message from tripleo_passwords_rotate module
- Use jinja templating when setting facts
- Allow overriding keystone username by parameter
- Fix os_baremetal_node_info module documentation
- Baremetal Configure Playbook
- Insert hosts entries to the beginning of the file.
- Make tripleo_ceph_run_ansible voting again
- Improve idempotency for images in podman container
- fix all tripleo_container_* molecule jobs on centos8
- Cleanup old mistral key process
- Unprovision confirmation, write an env file
- Rename playbook.yml to converge.yml
- Remove mistral cli from the backup playbook
- Remove useless doc in tripleo-container-manag
- Finalize centos-8 migration
- Get the list of enabled_services on the overcloud
- Revert "Revert "Modify the introspection playbook to simplify client interactions""
- Fix name of baremetal node info module in docs
- Fix error message from tripleo_passwords_rotate module
- Use jinja templating when setting facts
- Allow overriding keystone username by parameter
- Fix os_baremetal_node_info module documentation
- Baremetal Configure Playbook
- Insert hosts entries to the beginning of the file.

* Wed Mar 18 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Make tripleo_ceph_run_ansible voting again
- Cleanup old mistral key process

* Wed Mar 18 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Insert hosts entries to the beginning of the file.

* Wed Mar 18 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Allow overriding keystone username by parameter

* Wed Mar 18 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Improve idempotency for images in podman container

* Tue Mar 17 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- fix all tripleo_container_* molecule jobs on centos8

* Tue Mar 17 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Unprovision confirmation, write an env file

* Tue Mar 17 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Rename playbook.yml to converge.yml

* Tue Mar 17 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Baremetal Configure Playbook

* Mon Mar 16 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Revert "Revert "Modify the introspection playbook to simplify client interactions""

* Mon Mar 16 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove mistral cli from the backup playbook

* Mon Mar 16 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Finalize centos-8 migration

* Fri Mar 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove useless doc in tripleo-container-manag

* Fri Mar 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix error message from tripleo_passwords_rotate module
- Use jinja templating when setting facts

* Fri Mar 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Get the list of enabled_services on the overcloud

* Thu Mar 12 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix name of baremetal node info module in docs

* Thu Mar 12 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix os_baremetal_node_info module documentation

* Thu Mar 12 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Trigger molecule jobs once a week

* Wed Mar 11 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- remove bad octavia path

* Wed Mar 11 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Temporary make tripleo_ceph_run_ansible non voting

* Wed Mar 11 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fail when there are no nodes to introspect

* Wed Mar 11 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use ansible for password rotation

* Tue Mar 10 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Migrate molecule jobs from centos 7 to 8
- add scenario010 to trigger on octavia

* Tue Mar 10 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use become when gathering hiera metadata

* Mon Mar 09 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix logic to stop overrwriting upgrade hieradata

* Mon Mar 09 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use only ansible for fernet key rotation

* Mon Mar 09 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Fri Mar 06 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- update more jobs to centos-8

* Fri Mar 06 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- trivial: add reference to molecule-requirements.txt
- Remove all the extra folders in the backup and restore role

* Fri Mar 06 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove all ignore_errors to avoid confusion when debugging
- Auto-detect default overcloud-full image
- Playbooks for overcloud node (un)provision

* Fri Mar 06 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- module metalsmith_instances
- module tripleo_baremetal_populate_environment
- module tripleo_baremetal_check_existing

* Fri Mar 06 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Ensure the os-cloud flag is used for CLI commands
- CI: mount /lib/modules

* Fri Mar 06 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Make run-local.yml use ansible_connection local, not ssh
- module tripleo_baremetal_expand_roles
- Forces root for get_ssh_private_key

* Fri Mar 06 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Roll role-addition jobs to python3 (centos-8)
- Add a new set of tasks to build the openstack pool and key list

* Thu Mar 05 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Revert "Modify the introspection playbook to simplify client interactions"

* Thu Mar 05 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- update tripleo-ansible ci for centos-8
- Only add host entries for role_networks

* Thu Mar 05 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix typo in logs
- Creates container_config_data module

* Wed Mar 04 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Tune-up package install
- Increase number of retries for container create async task
- Modify the introspection playbook to simplify client interactions
- Modify the provide playbook to simplify client interactions
- Create a bios apply playbook
- Create a bios reset playbook
- Add raid configuration playbook and options
- Implement concurrency in baremetal cleaning

* Mon Mar 02 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fixed the condition for gather_domains
- Fix octavia services restart

* Sat Feb 29 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove tripleo_ceph_fetch_dir role

* Sat Feb 29 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add strategy optimization

* Fri Feb 28 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Ansible module to clean nodes

* Fri Feb 28 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix error with command ansible module and pipes

* Fri Feb 28 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- tripleo_container_manage: remove unused cpuset_cpus
- Add custom ansible-lint rule for Role Names
- filters: make get_domain_id more robust

* Wed Feb 26 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- BaR Rename the mysql_short_bootstrap_name
- Fix typo in introspection module
- Improve logic in introspection module
- container_puppet_config: disable SElinux labelling
- Ensure rsync is installed during bootstrap
- Use baremetal modules in playbooks

* Mon Feb 24 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Ensure ruamel is included when we build test environments
- Run standalone-upgrade job when touching container roles
- podman/systemd: manage timer requires
- Add tripleo-common and other client libraries to requirements
- tripleo_container_rm: also remove systemd requires when they exist
- tripleo_container_manage: add systemd testcase for service reload
- Add tmpwatch to the bootstrap
- Add CI proxy settings to role skeleton

* Fri Feb 21 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add no_log to the podman login
- Upgrade molecule to 3.0
- paunch: fail early if containers weren't deployed by Paunch before
- Use CI mirrors for molecule jobs
- Improve execution and add a port check
- tripleo_container_manage: disable logging for tasks using container_data
- Create a node import module and playbook
- Don't fail symlinking puppet modules if directory exists

* Wed Feb 19 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- podman/systemd: fix task indentation for timer
- Also use enabled_networks

* Wed Feb 19 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- tripleo_container_manage/molecule: remove unused facts
- paunch: add "cleanup" parameter, useful for apply action
- tripleo_container_manage: improve testing coverage with molecule
- Fix keystone password rotation
- tripleo_container_manage: remove podman/delete.yml and use another role

* Mon Feb 17 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Do not inherit the calling ansible env by default

* Mon Feb 17 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- tripleo_container_manage: avoid excessive logging with podman facts
- tripleo_container_manage: reduce downtime for minor updates

* Mon Feb 17 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- tripleo_container_manage: reduce cleanup when single config is given

* Mon Feb 17 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- tripleo_container_manage: create a filter to get changed containers
- Allow to update container startup config with new config hashes

* Mon Feb 17 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- tripleo-container-manage: remove hashed-* from default

* Sat Feb 15 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- tripleo-container-manage: provide more debug doc

* Sat Feb 15 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- container_puppet_config: python3 fix
- container_puppet_config: update config_hash for all steps

* Fri Feb 14 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- container_puppet_config: cleanup old config files
- Use domain variable instead of generic resource data
- Stop docker service when is available only.
- tripleo-keystone-resources: hide logs for resources with passwords
- Remove json_error callback
- Use ANSIBLE_PRIVATE_KEY_FILE when adding hosts to inventory
- Add new workflow playbook for log collection

* Sat Feb 08 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add service management support.
- tripleo-container-manage: introduce tripleo_container_manage_valid_exit_code
- Add module "container_puppet_config"
- Update tasks for efficiency
- Remove unnecessary int filter from cpu_share
- Pass only variables starting with ANSIBLE
- Add cli playbook to grant access to a given path
- Simplify ssh_known_hosts role
- Octavia: do not attempt container restart on empty list
- Rise async value for containers starting commands

* Wed Feb 05 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add cli playbook to retrieve the horizon url

* Wed Feb 05 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add support for ceph_external_multi_config

* Mon Feb 03 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Skeleton role, get with the decade"
- Merge "Add grafana vip on the storage network"
- Skeleton role, get with the decade
- Add grafana vip on the storage network

* Mon Feb 03 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Remove the tripleo_job_ansible_args default"
- Remove the tripleo_job_ansible_args default

* Sat Feb 01 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Add new workflow playbook for enable-ssh-admin"
- Add new workflow playbook for enable-ssh-admin

* Thu Jan 30 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Thu Jan 30 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Update molecule test jobs for new role name"
- Update molecule test jobs for new role name

* Thu Jan 30 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- tripleo_container_manage: skip shutdown.yml if not necessary

* Wed Jan 29 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Add action plugin for all_nodes data"
- Ensure boolean is cast to bool
- Add action plugin for all_nodes data

* Mon Jan 27 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- tripleo-container-manage: add tripleo_container_manage_systemd_teardown

* Mon Jan 27 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Execute healthchecks as root"
- Execute healthchecks as root

* Fri Jan 24 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Generate the /etc/hosts content once.

* Thu Jan 23 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Replace all references to the old role name"
- Replace all references to the old role name

* Wed Jan 22 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Update cli playbooks with new pattern"
- Update cli playbooks with new pattern

* Wed Jan 22 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Fix the ctlplane_ip in ssh_known_hosts entries"
- Merge "Rename all roles that have a hyphen"
- Fix the ctlplane_ip in ssh_known_hosts entries
- Rename all roles that have a hyphen

* Wed Jan 22 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Update the helper filter for needs_delete"
- Update the helper filter for needs_delete

* Tue Jan 21 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Add handling of signal 15 in kill script"
- Add handling of signal 15 in kill script

* Tue Jan 21 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Mon Jan 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add more doc for tripleo-container-manage

* Mon Jan 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Normalize role names when generating roles

* Mon Jan 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix substitution in kill-script

* Fri Jan 17 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Quote PermitRootLogin string for the search.

* Thu Jan 16 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "tripleo-container-manage: fix check mode"
- tripleo-container-manage: fix check mode

* Thu Jan 16 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Revert "tripleo-container-image: add |list to containers_commands""
- Revert "tripleo-container-image: add |list to containers_commands"

* Thu Jan 16 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Allow comments in variable files to be rendered in docs"
- Merge "paunch: allow to override any container config"
- Allow comments in variable files to be rendered in docs
- paunch: allow to override any container config

* Wed Jan 15 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Remove dracut-config-generic package"
- Remove dracut-config-generic package

* Wed Jan 15 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- tripleo-container-image: add |list to containers_commands

* Tue Jan 14 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove --rm=true from sidecar container sync

* Sat Jan 11 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "tripleo-container-manage: show podman commands that are executed"
- tripleo-container-manage: show podman commands that are executed

* Fri Jan 10 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Initial documentation for tripleo-container-manage role"
- Merge "Improve idempotency of podman_container"
- Improve idempotency of podman_container
- tripleo-container-manage: allow to override a container config
- Initial documentation for tripleo-container-manage role

* Wed Jan 08 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Initial documentation for tripleo-keystone-resources role"
- Merge "tripleo-container-manage: search container configs recursively"
- Initial documentation for tripleo-keystone-resources role
- tripleo-container-manage: search container configs recursively

* Wed Jan 08 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "tripleo-container-manage: fix config_data in Config/Labels"
- tripleo-container-manage: fix config_data in Config/Labels

* Tue Jan 07 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Data structure changes for tripleo-keystone-resources role"
- Data structure changes for tripleo-keystone-resources role

* Tue Jan 07 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Improve idempotency for podman container module"
- Improve idempotency for podman container module

* Tue Jan 07 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Allow to run tripleo-container-manage in check mode

* Thu Jan 02 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "fix a typo in netport.yml"
- fix a typo in netport.yml

* Thu Jan 02 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Add SyslogIdenfier to healthcheck systemd unit"
- Add SyslogIdenfier to healthcheck systemd unit

* Tue Dec 24 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Handle null enabled_networks and role_networks

* Mon Dec 23 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- tripleo-keystone-resources: handle multiple roles per user

* Mon Dec 23 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Add recursive get key from dict"
- Merge "Jinja test "failed" is no longer supported as filter in ansible > 2.9.0"
- Merge "Programatically generate ssh hosts lines"
- Add recursive get key from dict
- Jinja test "failed" is no longer supported as filter in ansible > 2.9.0
- Programatically generate ssh hosts lines

* Sat Dec 21 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Revert "Revert "tripleo-keystone-resources: reduce permissions for clouds.yaml"""
- Revert "Revert "tripleo-keystone-resources: reduce permissions for clouds.yaml""

* Fri Dec 20 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Change drop action"
- Change drop action

* Fri Dec 20 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add job sorting logic to the role-addition playbook

* Fri Dec 20 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Add role/playbook to manage nova image cache"
- Merge "Revert "tripleo-keystone-resources: reduce permissions for clouds.yaml""
- Add role/playbook to manage nova image cache
- Revert "tripleo-keystone-resources: reduce permissions for clouds.yaml"

* Thu Dec 19 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Update regex for presistent save roles"
- Merge "Update firewall role handlers"
- Update regex for presistent save roles
- Update firewall role handlers

* Tue Dec 17 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "zuul: all functional jobs now depend on linter job first"
- zuul: all functional jobs now depend on linter job first

* Tue Dec 17 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "tripleo-keystone-resources: fix a typo for domains creation"
- tripleo-keystone-resources: fix a typo for domains creation

* Tue Dec 17 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "tripleo-keystone-resources: reduce permissions for clouds.yaml"
- Merge "Create Validations logging directory"
- tripleo-keystone-resources: reduce permissions for clouds.yaml
- Create Validations logging directory

* Tue Dec 17 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Update firewall role to use an action plugin"
- Update firewall role to use an action plugin

* Mon Dec 16 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update override for keystone resources

* Thu Dec 12 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Introduce tripleo-keystone-resources role

* Thu Dec 12 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "tripleo-container-manage: include more arguments for container exec"
- Merge "tripleo-config: add tripleo_config_remote_src option"
- tripleo-container-manage: include more arguments for container exec
- tripleo-config: add tripleo_config_remote_src option

* Thu Dec 12 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Bump molecule to 3.0a4"
- Merge "Fix typo that prevents to run tests locally"
- Merge "Rename undercloud-backup playbook"
- Fix typo that prevents to run tests locally
- Bump molecule to 3.0a4
- Rename undercloud-backup playbook

* Wed Dec 11 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Fix pip install for run-local-test"
- Merge "Fix zuul facts for run-local-test"
- Fix pip install for run-local-test
- Fix zuul facts for run-local-test

* Wed Dec 11 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Copy all_nodes.json instead of rendering template"
- Merge "Move localhost_address to net_ip_map hieradata"
- Copy all_nodes.json instead of rendering template
- Move localhost_address to net_ip_map hieradata

* Tue Dec 10 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use openstacksdk in test-deps

* Mon Dec 09 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- include the openstacksdk so that openstack modules work within molecule

* Mon Dec 09 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Don't include tuned tasks when checkmode
- Merge "Networks may be none"
- tripleo-config: use become by default
- Networks may be none

* Fri Dec 06 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "OpenStack Node Provide playbook"
- Merge "Improve idempotency for podman containers module"
- Merge "tripleo-hieradata: re-enable "service_names""
- Merge "Fix case in filters when Labels is None"
- Merge "Optionally add ctlplane vips"
- tripleo-hieradata: re-enable "service_names"
- Fix case in filters when Labels is None
- Merge "Add os_baremetal_node_info module for retrieving nodes info"
- Improve idempotency for podman containers module
- Optionally add ctlplane vips
- Merge "Introduce unit tests structure for tripleo-ansible filters"
- Baremetal Introspection Playbook
- Merge "Rename overcloud-delete playbook"
- Merge "Delete Octavia configuration leftovers"
- Introduce unit tests structure for tripleo-ansible filters
- Delete Octavia configuration leftovers
- Rename overcloud-delete playbook
- OpenStack Node Provide playbook
- Add os_baremetal_node_info module for retrieving nodes info

* Mon Dec 02 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Fix for Ansible playbook error, variable is undefined"
- Fix for Ansible playbook error, variable is undefined

* Mon Dec 02 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Handle range in the cpu_mask conversion for DPDK cores"
- Merge "Remove extra backslash in awk for tripleo-ceph-uuid role"
- Handle range in the cpu_mask conversion for DPDK cores
- Remove extra backslash in awk for tripleo-ceph-uuid role

* Mon Dec 02 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Add missing ExecReload in container service unit file"
- Merge "tripleo-container-manage: remove no_log for create/exec tasks"
- Merge "Cast single value list as a string for config id"
- Add missing ExecReload in container service unit file
- Cast single value list as a string for config id
- tripleo-container-manage: remove no_log for create/exec tasks

* Thu Nov 28 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Make sure role_networks is used from current processed node"
- Make sure role_networks is used from current processed node

* Thu Nov 28 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Make sure we add all_nodes_extra_map_data to all_nodes"
- Make sure we add all_nodes_extra_map_data to all_nodes

* Thu Nov 28 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "use version parsing from distutils"
- use version parsing from distutils
- Add LVM2 package install to bootstrap
- Merge "tripleo-container-manage: create ansible-managed dropin file"
- tripleo-container-manage: create ansible-managed dropin file

* Tue Nov 26 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add idempotency for networks parameter in podman_container

* Fri Nov 22 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- update bindep, remove older fedora support

* Wed Nov 20 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "tripleo-container-manage: some improvements"
- tripleo-container-manage: some improvements

* Mon Nov 18 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Fix ssh_known_hosts hostname entries"
- Fix ssh_known_hosts hostname entries

* Mon Nov 18 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Fix case where there're no effective caps"
- Merge "tripleo-container-manage: restart systemd service if container changed"
- Fix case where there're no effective caps
- tripleo-container-manage: restart systemd service if container changed

* Mon Nov 18 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "fix typo"
- fix typo

* Mon Nov 18 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Improve molecule tests for tripleo-container-manage (systemd)"
- Improve molecule tests for tripleo-container-manage (systemd)

* Mon Nov 18 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Don't fail hard when facter cache doesn't work correctly"
- Merge "Check that facter.conf is a file"
- Don't fail hard when facter cache doesn't work correctly
- Check that facter.conf is a file

* Fri Nov 15 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Don't install docker on rhel/centos 8"
- Don't install docker on rhel/centos 8

* Thu Nov 14 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "tripleo-container-manage: add no_log to podman create"
- Merge "tripleo-container-manage: skip some tasks in check mode"
- Merge "tripleo-container-manage: fix duplicated loop vars"
- tripleo-container-manage: add no_log to podman create
- tripleo-container-manage: skip some tasks in check mode
- tripleo-container-manage: fix duplicated loop vars

* Thu Nov 14 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "tripleo-container-manage: port paunch-services"
- tripleo-container-manage: port paunch-services

* Thu Nov 14 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Implement tripleo-systemd-wrapper role"
- Implement tripleo-systemd-wrapper role

* Thu Nov 14 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Thu Nov 14 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Revert "tripleo-container-manage: add task to start systemd healthcheck service""
- Merge "normalize newlines at end of file"
- Revert "tripleo-container-manage: add task to start systemd healthcheck service"
- Lists python packages from test-python environment
- normalize newlines at end of file

* Thu Nov 14 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Wed Nov 13 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Use more exact path to Zuul source dir"
- Merge "Idempotency for podman_container"
- Use more exact path to Zuul source dir
- Idempotency for podman_container

* Tue Nov 12 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Revert "Fix ssh_known_hosts hostname entries""
- Revert "Fix ssh_known_hosts hostname entries"

* Tue Nov 12 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Prefer ovn_dbs_vip from all_nodes_extra_map_data"
- Prefer ovn_dbs_vip from all_nodes_extra_map_data

* Tue Nov 12 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "tripleo-container-manage: use async"
- tripleo-container-manage: use async

* Tue Nov 12 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Include ceph-ansible filter_plugins"
- Merge "Create role to do puppet cache actions"
- Merge "Fix enabled_services to include all_nodes_extra_map_data"
- Create role to do puppet cache actions
- Include ceph-ansible filter_plugins
- Fix enabled_services to include all_nodes_extra_map_data

* Tue Nov 12 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Fix ssh_known_hosts hostname entries"
- Fix ssh_known_hosts hostname entries

* Mon Nov 11 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Fix network hostnames in tripleo-hosts-entries"
- Fix network hostnames in tripleo-hosts-entries

* Sun Nov 10 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "tox: Keeping going with docs"
- tripleo-container-manage: fix exec check
- tox: Keeping going with docs

* Fri Nov 08 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Run undercloud-containers job in check/gate"
- Run undercloud-containers job in check/gate

* Fri Nov 08 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- tripleo-container-manage: add task to start systemd healthcheck service
- Relax needs_delete() filter

* Thu Nov 07 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- tripleo-container-manage: some nits fixed

* Wed Nov 06 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- tripleo-container-manage: fix log_opt
- tripleo-container-manage: introduce concurrency

* Wed Nov 06 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- tripleo-container-manage: include_tasks to speed things up
- tripleo-container-manage - first support for idempotency

* Tue Nov 05 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Molecule job for testing plugins and modules

* Sat Nov 02 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Use module command to run podman"
- Use module command to run podman

* Fri Nov 01 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Convert all of the fedora28 container usage to centos8"
- Convert all of the fedora28 container usage to centos8

* Fri Nov 01 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "tripleo-container-manage: add check tasks to the molecule playbook"
- tripleo-container-manage: add check tasks to the molecule playbook
- paunch: use utils.load_config()

* Thu Oct 31 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Add the skeleton role as an irrelevant file for scenarios"
- Merge "Adding setup_rear and setup_nfs task"
- Add the skeleton role as an irrelevant file for scenarios
- Adding setup_rear and setup_nfs task

* Thu Oct 31 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Remove old Heat hosts entries in tripleo-hosts-entries"
- Remove old Heat hosts entries in tripleo-hosts-entries

* Thu Oct 31 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Add conditions to ceph roles for dependencies"
- Add conditions to ceph roles for dependencies

* Wed Oct 30 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "zuul/container-manage: trigger molecule jobs on more files"
- zuul/container-manage: trigger molecule jobs on more files

* Wed Oct 30 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Adds new molecule testing for tripleo-container-manage"
- Adds new molecule testing for tripleo-container-manage

* Wed Oct 30 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "tripleo-container-manage: few improvements"
- tripleo-container-manage: few improvements

* Tue Oct 29 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Run scenario004 for changes to tripleo-ceph-* roles"
- Run scenario004 for changes to tripleo-ceph-* roles

* Tue Oct 29 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Ensure plugin path is correct"
- Merge "Add support for --limit option into ceph-ansible call"
- Ensure plugin path is correct
- Add support for --limit option into ceph-ansible call

* Tue Oct 29 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Revert "Workaround for ansible-lint installation failure""
- Revert "Workaround for ansible-lint installation failure"

* Tue Oct 29 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Move the filters plugin to the core plugins location"
- Move the filters plugin to the core plugins location

* Tue Oct 29 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Revert "Remove roles symlink""
- Merge "Add tripleo-hosts-entries role"
- Merge "Drop unnecessary tripleo_ prefix from skeleton role"
- Merge "Fix typo in skeleton role"
- Revert "Remove roles symlink"
- Remove roles symlink
- tripleo-container-manage: set some defaults
- Add tripleo-hosts-entries role
- Drop unnecessary tripleo_ prefix from skeleton role
- Fix typo in skeleton role

* Fri Oct 25 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Introduce tripleo-container-manage role"
- Introduce tripleo-container-manage role

* Fri Oct 25 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Fix invalid variable issue with StorageNFS"
- Fix invalid variable issue with StorageNFS

* Wed Oct 23 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Tighten up how we add and remove kernel modules"
- Tighten up how we add and remove kernel modules

* Tue Oct 22 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Fix the filter plugin location for triple-ovs-dpdk role"
- Fix the filter plugin location for triple-ovs-dpdk role

* Tue Oct 22 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- paunch: only read container config JSON which starts by "hashed-"

* Mon Oct 21 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Include stdout and stderr in return of podman_container"
- Include stdout and stderr in return of podman_container

* Mon Oct 21 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Simplify octavia post deploy configs"
- Simplify octavia post deploy configs

* Mon Oct 21 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Update master for stable/train"
- Update master for stable/train

* Mon Oct 21 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Workaround for ansible-lint installation failure

* Fri Oct 18 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Thu Oct 17 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- paunch: support a directory for "config" parameter

* Tue Oct 15 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix booleans settings in podman_container

* Sun Oct 13 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Fix cellv2 role handler"
- Fix cellv2 role handler

* Fri Oct 11 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Add the Apache license to the overcloud-delete playbook"
- Merge "Use executable for podman container from params"
- Use executable for podman container from params
- Add the Apache license to the overcloud-delete playbook

* Fri Oct 11 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Install packages and load kernel modules before configuring sysctl."
- Install packages and load kernel modules before configuring sysctl.

* Thu Oct 10 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Update config to support RHEL/CENT8"
- Update config to support RHEL/CENT8

* Thu Oct 10 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove leftovers for podman-image*

* Thu Oct 10 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Remove readme files within the roles"
- Remove readme files within the roles

* Wed Oct 09 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Add a playbook for the "openstack overcloud delete" CLI Command"
- podman_container: only add --volume if item not empty
- Add a playbook for the "openstack overcloud delete" CLI Command

* Tue Oct 08 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- podman_container: command now accepts lists

* Tue Oct 08 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Revert "scenario010 nonvoting""
- Revert "scenario010 nonvoting"

* Tue Oct 08 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Optional flag file for tripleo-transfer to prevent overwriting"
- Optional flag file for tripleo-transfer to prevent overwriting

* Tue Oct 08 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Fix port info lookup parsing"
- Use dynamic argument_spec from documentation
- Fix port info lookup parsing

* Mon Oct 07 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Change parameters processing to class based

* Mon Oct 07 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "paunch: add support for 'cleanup'"
- Merge "podman_container: add log_driver support"
- podman_container: add log_driver support
- Merge "podman_container: move ulimit into a list"
- Merge "podman_container: fix some booleans"
- Merge "Add podman_volume_info ansible module"
- podman_container: move ulimit into a list
- podman_container: fix some booleans
- Add podman_volume_info ansible module
- paunch: add support for 'cleanup'

* Fri Oct 04 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Set calling_ansible_environment_variables after preset vars"
- Merge "Add podman_container module"
- Set calling_ansible_environment_variables after preset vars
- Add podman_container module

* Fri Oct 04 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Remove podman_image*"
- Merge "Add missing [] around all_nodes_extra_map_data"
- Add missing [] around all_nodes_extra_map_data
- Remove podman_image*

* Thu Oct 03 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Remove modules that have been up-streamed"
- Remove modules that have been up-streamed

* Thu Oct 03 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Add podman_container_info"
- Add podman_container_info

* Thu Oct 03 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Exclude database controllers path only if they are a controller node."
- Merge "Fix launchpad tracker in README.rst"
- Merge "Handle empty cert related hostvar info"
- Handle empty cert related hostvar info
- Fix launchpad tracker in README.rst
- Exclude database controllers path only if they are a controller node.

* Thu Oct 03 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Only use the network service for EL 7."
- Only use the network service for EL 7.

* Wed Oct 02 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- scenario010 nonvoting



